<?php
if (!defined('ABSPATH')) {
    exit();
}
?>
<div style="width:100%;">
    <h3 style="padding:5px 10px 10px 10px; margin:0px; text-align:right; border-bottom:1px solid #ddd; max-width:240px; margin:0px 0px 20px auto; font-weight:normal;"><?php _e('Ads Manager Settings', 'wpdiscuz-ads-manager'); ?></h3>
    <table class="widefat wpdiscuz-am" style="margin-top:10px; border:none; width:100%;">
        <tbody>
            <tr scope="row">
                <th style="width:50%;"><label for="wamIsDisplayOnReplies"><?php _e('Display ads of "Comment List" location on replies?', 'wpdiscuz-ads-manager'); ?></label></th>
                <td><input type="checkbox" <?php checked($this->wamIsDisplayOnReplies == 1); ?> value="1" name="wamIsDisplayOnReplies" id="wamIsDisplayOnReplies" /></td>
            </tr>
            <tr scope="row">
                <th style="width:50%;"><label for="wamIsCachingDisabled"><?php _e('Disable caching', 'wpdiscuz-ads-manager'); ?></label></th>
                <td><input type="checkbox" <?php checked($this->wamIsCachingDisabled == 1); ?> value="1" name="wamIsCachingDisabled" id="wamIsCachingDisabled" /></td>
            </tr>
            <tr scope="row">
                <th><label for="wamCacheExpireTime"><?php _e('Set cache expire time for', 'wpdiscuz-ads-manager'); ?></label></th>
                <td>
                    <select name="wamCacheExpireTime" id="wamCacheExpireTime">
                        <option value="1" <?php selected((1 * HOUR_IN_SECONDS) == $this->wamCacheExpireTime); ?>><?php _e('1 hour', 'wpdiscuz-ads-manager'); ?></option>
                        <option value="3" <?php selected((3 * HOUR_IN_SECONDS) == $this->wamCacheExpireTime); ?>><?php _e('3 hours', 'wpdiscuz-ads-manager'); ?></option>
                        <option value="6" <?php selected((6 * HOUR_IN_SECONDS) == $this->wamCacheExpireTime); ?>><?php _e('6 hours', 'wpdiscuz-ads-manager'); ?></option>
                        <option value="12" <?php selected((12 * HOUR_IN_SECONDS) == $this->wamCacheExpireTime); ?>><?php _e('12 hours', 'wpdiscuz-ads-manager'); ?></option>
                        <option value="24" <?php selected((24 * HOUR_IN_SECONDS) == $this->wamCacheExpireTime); ?>><?php _e('1 day', 'wpdiscuz-ads-manager'); ?></option>
                        <option value="48" <?php selected((48 * HOUR_IN_SECONDS) == $this->wamCacheExpireTime); ?>><?php _e('2 days', 'wpdiscuz-ads-manager'); ?></option>
                        <option value="72" <?php selected((72 * HOUR_IN_SECONDS) == $this->wamCacheExpireTime); ?>><?php _e('3 days', 'wpdiscuz-ads-manager'); ?></option>
                        <option value="168" <?php selected((168 * HOUR_IN_SECONDS) == $this->wamCacheExpireTime); ?>><?php _e('1 week', 'wpdiscuz-ads-manager'); ?></option>
                    </select>                    
                </td>
            </tr>
            <tr>                
                <td colspan="2">
                    <?php
                    $adminPostUrl = admin_url('admin-post.php');
                    $resetAdsCache = $adminPostUrl . ('/?action=wamResetCache&cache=' . self::TRANSIENT_WAM_ADS);
                    $resetBannersCache = $adminPostUrl . ('/?action=wamResetCache&cache=' . self::TRANSIENT_WAM_BANNERS);
                    ?>
                    <a href="<?php echo wp_nonce_url($resetAdsCache, 'resetCache'); ?>" class="button button-secondary" style="margin-left: 5px;"><?php _e('Reset ads cache', 'wpdiscuz-ads-manager'); ?></a>
                    <a href="<?php echo wp_nonce_url($resetBannersCache, 'resetCache'); ?>" class="button button-secondary" style="margin-left: 10px;"><?php _e('Reset banners cache', 'wpdiscuz-ads-manager'); ?></a>
                </td>
            </tr>
        </tbody>
    </table>    
</div>