<?php
if (!defined('ABSPATH')) {
    exit();
}
ob_start();
$profileRightStyle = is_rtl() ? "margin-right:0;" : "margin-left:0;";
?>
<div class="wcai-profile-wrap">
    <?php if ($avatar = get_avatar($comment->comment_author_email, 96)) { ?>
        <?php $profileRightStyle = ''; ?>
        <div class="wcai-profile-left">
            <?php echo $avatar; ?>
            <div class="wcai-profile-nickname">
                <?php
                if ($this->options->profileShowNickName) {
                    echo "@{$comment->comment_author}";
                }
                ?>
            </div>        
        </div>
    <?php } ?>
    <div class="wcai-profile-right" style="<?php echo $profileRightStyle; ?>">
        <div class="wcai-profile-right-wrap">
            <div class="wcai-profile-head">
                <?php
                if ($this->options->profileShowWebUrl && $comment->comment_author_url) {
                    ?>
                    <a href="<?php echo esc_url($comment->comment_author_url) ?>" rel="nofollow">
                        <i class="fas fa-globe"></i> 
                    </a>
                    <?php
                }
                ?>
                <?php if ($this->options->profileShowDisplayName) { ?>
                    <span><?php echo $comment->comment_author; ?></span>
                <?php } ?>
                <div class="wcai-profile-la">
                    <?php
                    $lastComments = get_comments(array('author_email' => $comment->comment_author_email, 'number' => 1));
                    $lastComment = $lastComments[0];
                    $phraseProfileLastActivity = $this->options->phraseProfileLastActivity ? $this->options->phraseProfileLastActivity : __('Last Activity:', 'wpdiscuz-comment-author-info');
                    ?>
                    <?php echo $phraseProfileLastActivity; ?> <?php echo $this->getCommentDate($lastComment); ?>
                </div>
            </div>
            <div class="wcai-profile-stat">
                <?php $phraseProfileComments = $this->options->phraseProfileComments ? $this->options->phraseProfileComments : __('Comments', 'wpdiscuz-comment-author-info'); ?>
                <div class="wcai-profile-stat-box" title="<?php echo $phraseProfileComments; ?>">
                    <div class="wcai-profile-stat-box-icon"><i class="far fa-comment"></i></div>
                    <div class="wcai-profile-stat-box-val"><?php print $commentStatistic['approved'] ? $commentStatistic['approved'] : 0; ?></div>
                </div>
                <?php $phraseProfilePosts = $this->options->phraseProfilePosts ? $this->options->phraseProfilePosts : __('Posts', 'wpdiscuz-comment-author-info'); ?>
                <div class="wcai-profile-stat-box" title="<?php echo $phraseProfilePosts; ?>">
                    <div class="wcai-profile-stat-box-icon"><i class="fas fa-pencil-alt"></i></div>
                    <div class="wcai-profile-stat-box-val">0</div>
                </div>
                <?php $phraseProfileReceivedLikes = $this->options->phraseProfileReceivedLikes ? $this->options->phraseProfileReceivedLikes : __('Received Likes', 'wpdiscuz-comment-author-info'); ?>
                <div class="wcai-profile-stat-box" style="color:#118B26;" title="<?php echo $phraseProfileReceivedLikes; ?>">
                    <div class="wcai-profile-stat-box-icon"><i class="far fa-thumbs-up"></i></div>
                    <div class="wcai-profile-stat-box-val" style="background:#edfff9;"><?php echo $commentStatistic['likes']; ?></div>
                </div>
                <?php $phraseProfileReceivedDisikes = $this->options->phraseProfileReceivedDisikes ? $this->options->phraseProfileReceivedDisikes : __('Received Disikes', 'wpdiscuz-comment-author-info'); ?>
                <div class="wcai-profile-stat-box" style="color:#E8484A;" title="<?php echo $phraseProfileReceivedDisikes; ?>">
                    <div class="wcai-profile-stat-box-icon"><i class="far fa-thumbs-down"></i></div>
                    <div class="wcai-profile-stat-box-val" style="background:#fff4f4;"><?php echo $commentStatistic['dislikes']; ?></div>
                </div>
                <div class="wcai-clear"></div>
            </div>
        </div>
    </div>
    <div class="wcai-clear"></div>
    <div class="wcai-profile-body">
        <?php if ($this->options->profileShowStatistics && current_user_can('delete_others_pages')) { ?>
            <?php $phraseProfileCommentsStat = $this->options->phraseProfileCommentsStat ? $this->options->phraseProfileCommentsStat : __('Comments Statistic', 'wpdiscuz-comment-author-info'); ?>
            <div class="wcai-profile-title-l"><?php echo $phraseProfileCommentsStat; ?></div>
            <div class="wcai-stat-box">
                <?php $phraseProfileCommentsStatAll = $this->options->phraseProfileCommentsStatAll ? $this->options->phraseProfileCommentsStatAll : __('All', 'wpdiscuz-comment-author-info'); ?>
                <div class="wcai-stat-box-icon"><?php echo $phraseProfileCommentsStatAll; ?></div>
                <div class="wcai-stat-box-val"><?php echo $commentStatistic['all']; ?></div>
            </div>
            <div class="wcai-stat-box">
                <?php $phraseProfileCommentsStatApproved = $this->options->phraseProfileCommentsStatApproved ? $this->options->phraseProfileCommentsStatApproved : __('Approved', 'wpdiscuz-comment-author-info'); ?>
                <div class="wcai-stat-box-icon"><?php echo $phraseProfileCommentsStatApproved; ?></div>
                <div class="wcai-stat-box-val"><?php echo $commentStatistic['approved']; ?></div>
            </div>
            <div class="wcai-stat-box">
                <?php $phraseProfileCommentsStatPending = $this->options->phraseProfileCommentsStatPending ? $this->options->phraseProfileCommentsStatPending : __('Pending', 'wpdiscuz-comment-author-info') ?>
                <div class="wcai-stat-box-icon"><?php echo $phraseProfileCommentsStatPending; ?></div>
                <div class="wcai-stat-box-val"><?php echo $commentStatistic['pending']; ?></div>
            </div>
            <div class="wcai-stat-box">
                <?php $phraseProfileCommentsStatSpam = $this->options->phraseProfileCommentsStatSpam ? $this->options->phraseProfileCommentsStatSpam : __('Spam', 'wpdiscuz-comment-author-info') ?>
                <div class="wcai-stat-box-icon"><?php echo $phraseProfileCommentsStatSpam; ?></div>
                <div class="wcai-stat-box-val"><?php echo $commentStatistic['spam']; ?></div>
            </div>
            <div class="wcai-stat-box">
                <?php $phraseProfileCommentsStatTrashed = $this->options->phraseProfileCommentsStatTrashed ? $this->options->phraseProfileCommentsStatTrashed : __('Trashed', 'wpdiscuz-comment-author-info') ?>
                <div class="wcai-stat-box-icon"><?php echo $phraseProfileCommentsStatTrashed; ?></div>
                <div class="wcai-stat-box-val"><?php echo $commentStatistic['trash']; ?></div>
            </div>
        <?php } ?>
        <div class="wcai-clear"></div>
    </div>
</div>
<?php
$html .= ob_get_contents();
ob_end_clean();
