<?php
if (!defined('ABSPATH')) {
    exit();
}
ob_start();
$profileRightStyle = is_rtl() ? "margin-right:0;" : "margin-left:0;";
?>
<div class="wcai-profile-wrap">
    <div class="wcai-profile-right" style="<?php echo $profileRightStyle; ?>">
        <div class="wcai-profile-right-wrap">
            <div class="wcai-profile-head">
                <?php
                if ($this->options->profileShowWebUrl && $user->user_url) {
                    ?>
                    <a href="<?php echo esc_url($user->user_url) ?>" rel="nofollow">
                        <i class="fas fa-globe"></i> 
                    </a>
                    <?php
                }
                ?>
                <?php
                $commentAuthorUrl = '';
                $profileUrl = '';
                $url = '';
                $commentAuthorUrl = ('http://' == $user->user_url) ? '' : $user->user_url;
                $commentAuthorUrl = esc_url($commentAuthorUrl, array('http', 'https'));
                $commentAuthorUrl = apply_filters('get_comment_author_url', $commentAuthorUrl);
                $profileUrl = get_author_posts_url($user->ID);
                $profileUrl = apply_filters('wpdiscuz_profile_url', $profileUrl, $user);
                if (!$wpdiscuz->optionsSerialized->disableProfileURLs) {
                    $url = ($profileUrl) ? $profileUrl : $commentAuthorUrl;
                }
                ?>
                <?php if ($this->options->profileShowDisplayName) { ?>
                    <?php if ($url) { ?>
                        <a href="<?php echo esc_url($url) ?>">
                            <span><?php echo $user->display_name; ?></span>
                        </a>
                    <?php } else { ?>
                        <span><?php echo $user->display_name; ?></span>
                    <?php } ?>
                <?php } ?>
                <div class="wcai-profile-la">
                    <?php
                    $lastComments = get_comments(array('user_id' => $user->ID, 'number' => 1));
                    $lastComment = $lastComments[0];
                    $phraseProfileLastActivity = $this->options->phraseProfileLastActivity ? $this->options->phraseProfileLastActivity : __('Last Activity:', 'wpdiscuz-comment-author-info');
                    ?>
                    <?php echo $phraseProfileLastActivity; ?> <?php echo $this->getCommentDate($lastComment); ?>
                </div>
            </div>
            <div class="wcai-profile-stat">
                <?php $phraseProfileComments = $this->options->phraseProfileComments ? $this->options->phraseProfileComments : __('Comments', 'wpdiscuz-comment-author-info'); ?>
                <div class="wcai-profile-stat-box" title="<?php echo $phraseProfileComments; ?>">
                    <div class="wcai-profile-stat-box-icon"><i class="far fa-comment"></i></div>
                    <div class="wcai-profile-stat-box-val"><?php print $commentStatistic['approved'] ? $commentStatistic['approved'] : 0; ?></div>
                </div>
                <?php $phraseProfilePosts = $this->options->phraseProfilePosts ? $this->options->phraseProfilePosts : __('Posts', 'wpdiscuz-comment-author-info'); ?>
                <div class="wcai-profile-stat-box" title="<?php echo $phraseProfilePosts; ?>">
                    <div class="wcai-profile-stat-box-icon"><i class="fas fa-pencil-alt"></i></div>
                    <div class="wcai-profile-stat-box-val"><?php echo count_user_posts($user->ID); ?></div>
                </div>
                <?php $phraseProfileReceivedLikes = $this->options->phraseProfileReceivedLikes ? $this->options->phraseProfileReceivedLikes : __('Received Likes', 'wpdiscuz-comment-author-info'); ?>
                <div class="wcai-profile-stat-box" style="color:#118B26;" title="<?php echo $phraseProfileReceivedLikes; ?>">
                    <div class="wcai-profile-stat-box-icon"><i class="far fa-thumbs-up"></i></div>
                    <div class="wcai-profile-stat-box-val" style="background:#edfff9;"><?php echo $commentStatistic['likes']; ?></div>
                </div>
                <?php $phraseProfileReceivedDisikes = $this->options->phraseProfileReceivedDisikes ? $this->options->phraseProfileReceivedDisikes : __('Received Disikes', 'wpdiscuz-comment-author-info'); ?>
                <div class="wcai-profile-stat-box" style="color:#E8484A;" title="<?php echo $phraseProfileReceivedDisikes; ?>">
                    <div class="wcai-profile-stat-box-icon"><i class="far fa-thumbs-down"></i></div>
                    <div class="wcai-profile-stat-box-val" style="background:#fff4f4;"><?php echo $commentStatistic['dislikes']; ?></div>
                </div>
                <div class="wcai-clear"></div>
            </div>
        </div>
    </div>
    <div class="wcai-clear"></div>
    <?php if ($this->options->sections) { ?>
        <?php $phraseFullInfo = $this->options->phraseFullInfo ? $this->options->phraseFullInfo : __('View full info', 'wpdiscuz-comment-author-info'); ?>
        <div class="wcai-full-info"><a href="#" class="wcai-finfo wcai-not-clicked"><?php echo $phraseFullInfo; ?></a></div>
        <?php } ?>
</div>
<?php
$html .= ob_get_contents();
ob_end_clean();
