<?php
if (!defined('ABSPATH')) {
    exit();
}
ob_start();
$profileRightStyle = is_rtl() ? "margin-right:0;" : "margin-left:0;";
?>
<div class="wcai-profile-wrap">
    <?php if ($avatar = get_avatar($user->user_email, 96)) { ?>
        <?php $profileRightStyle = ''; ?>
        <div class="wcai-profile-left">
            <?php echo $avatar; ?>
            <div class="wcai-profile-nickname">
                <?php
                if ($this->options->profileShowNickName) {
                    echo "@{$user->nickname}";
                }
                ?>
            </div>

            <?php if ($this->options->profileShowMycredData && (function_exists('mycred_get_users_badges') || (function_exists('mycred_get_users_rank')))) { ?>
                <?php if (function_exists('mycred_get_badge') && ($badges = mycred_get_users_badges($user->ID))) { ?>
                    <div class='wcai-profile-mycreddata'>
                        <div class='wcai-mycred-badges-wrap'>
                            <?php
                            if (function_exists('mycred_get_users_badges')) { //User Badges
                                $wpcusers_badges = mycred_get_users_badges($user->ID);
                                if (!empty($wpcusers_badges)) {
                                    echo '<div class="row mycred-users-badges"><div class="col-xs-12">';
                                    foreach ($wpcusers_badges as $badge_id => $level) {
                                        $badge_image_url = get_post_meta($badge_id, $imageKey, true);
                                        if (!$badge_image_url)
                                            continue;
                                        if (function_exists("mycred_get_badge")) {
                                            $badge = mycred_get_badge($badge_id, $level);
                                            if ($badge->level_image !== false)
                                                echo apply_filters('mycred_the_badge', $badge->level_image, $badge_id, $badge, $userID);
                                        }else {
                                            $imageKey = ( $level > 0 ) ? 'level_image' . $level : 'main_image';
                                            $imgSrc = get_post_meta($badge_id, $imageKey, true);
                                            if ($imgSrc) {
                                                echo '<span class="wcai-mycred-badge-title"><img src="' . $badge_image_url . '" class="mycred-badge earned" alt="' . get_the_title($badge_id) . '"  title="' . get_the_title($badge_id) . '" /></span>';
                                            }
                                        }
                                    }
                                    echo '</div></div>';
                                }
                            }
                            ?>
                        </div>
                    </div>
                <?php } ?>
                <?php if (function_exists('mycred_get_users_rank') && ($rank = mycred_get_users_rank($user->ID))) { ?>
                    <div class='wcai-mycred-rank-wrap'>
                        <?php if (is_object($rank)) { ?>
                            <?php
                            if ($rank->has_logo) {
                                if (is_object($rank)) {
                                    $src = $rank->logo_url;
                                    echo "<img src='" . $src . "' title='" . $rank->title . "' class='mycred-rank wp-post-image' alt='" . $rank->title . "'/>";
                                } else {
                                    echo mycred_get_users_rank($user->ID, 'logo', 'post-thumbnail', array('class' => 'mycred-rank'));
                                }
                            }
                            ?>
                        <?php } ?>
                    </div>
                <?php } ?>
            <?php } ?>

        </div>
    <?php } ?>
    <div class="wcai-profile-right" style="<?php echo $profileRightStyle; ?>">
        <div class="wcai-profile-right-wrap">
            <div class="wcai-profile-head">
                <?php
                if ($this->options->profileShowWebUrl && $user->user_url) {
                    ?>
                    <a href="<?php echo esc_url($user->user_url) ?>" rel="nofollow">
                        <i class="fas fa-globe"></i> 
                    </a>
                    <?php
                }
                ?>
                <?php
                $commentAuthorUrl = '';
                $profileUrl = '';
                $url = '';
                $commentAuthorUrl = ('http://' == $user->user_url) ? '' : $user->user_url;
                $commentAuthorUrl = esc_url($commentAuthorUrl, array('http', 'https'));
                $commentAuthorUrl = apply_filters('get_comment_author_url', $commentAuthorUrl);
                $profileUrl = get_author_posts_url($user->ID);
                $profileUrl = apply_filters('wpdiscuz_profile_url', $profileUrl, $user);
                if (!$wpdiscuz->optionsSerialized->disableProfileURLs) {
                    $url = ($profileUrl) ? $profileUrl : $commentAuthorUrl;
                }
                ?>
                <?php if ($this->options->profileShowDisplayName) { ?>
                    <?php if ($url) { ?>
                        <a href="<?php echo esc_url($url) ?>">
                            <span><?php echo $user->display_name; ?></span>
                        </a>
                    <?php } else { ?>
                        <span><?php echo $user->display_name; ?></span>
                    <?php } ?>
                <?php } ?>
                <div class="wcai-profile-la">
                    <?php
                    $lastComments = get_comments(array('user_id' => $user->ID, 'number' => 1));
                    $lastComment = $lastComments[0];
                    $phraseProfileLastActivity = $this->options->phraseProfileLastActivity ? $this->options->phraseProfileLastActivity : __('Last Activity:', 'wpdiscuz-comment-author-info');
                    ?>
                    <?php echo $phraseProfileLastActivity; ?> <?php echo $this->getCommentDate($lastComment); ?>
                </div>
            </div>
            <div class="wcai-profile-stat">
                <?php $phraseProfileComments = $this->options->phraseProfileComments ? $this->options->phraseProfileComments : __('Comments', 'wpdiscuz-comment-author-info'); ?>
                <div class="wcai-profile-stat-box" title="<?php echo $phraseProfileComments; ?>">
                    <div class="wcai-profile-stat-box-icon"><i class="far fa-comment"></i></div>
                    <div class="wcai-profile-stat-box-val"><?php print $commentStatistic['approved'] ? $commentStatistic['approved'] : 0; ?></div>
                </div>
                <?php $phraseProfilePosts = $this->options->phraseProfilePosts ? $this->options->phraseProfilePosts : __('Posts', 'wpdiscuz-comment-author-info'); ?>
                <div class="wcai-profile-stat-box" title="<?php echo $phraseProfilePosts; ?>">
                    <div class="wcai-profile-stat-box-icon"><i class="fas fa-pencil-alt"></i></div>
                    <div class="wcai-profile-stat-box-val"><?php echo count_user_posts($user->ID); ?></div>
                </div>
                <?php $phraseProfileReceivedLikes = $this->options->phraseProfileReceivedLikes ? $this->options->phraseProfileReceivedLikes : __('Received Likes', 'wpdiscuz-comment-author-info'); ?>
                <div class="wcai-profile-stat-box" style="color:#118B26;" title="<?php echo $phraseProfileReceivedLikes; ?>">
                    <div class="wcai-profile-stat-box-icon"><i class="far fa-thumbs-up"></i></div>
                    <div class="wcai-profile-stat-box-val" style="background:#edfff9;"><?php echo $commentStatistic['likes']; ?></div>
                </div>
                <?php $phraseProfileReceivedDisikes = $this->options->phraseProfileReceivedDisikes ? $this->options->phraseProfileReceivedDisikes : __('Received Disikes', 'wpdiscuz-comment-author-info'); ?>
                <div class="wcai-profile-stat-box" style="color:#E8484A;" title="<?php echo $phraseProfileReceivedDisikes; ?>">
                    <div class="wcai-profile-stat-box-icon"><i class="far fa-thumbs-down"></i></div>
                    <div class="wcai-profile-stat-box-val" style="background:#fff4f4;"><?php echo $commentStatistic['dislikes']; ?></div>
                </div>
                <div class="wcai-clear"></div>
            </div>
        </div>
    </div>
    <div class="wcai-clear"></div>
    <div class="wcai-profile-body">
        <?php if ($this->options->profileShowBio) { ?>
            <div class="wcai-profile-title-r"><?php print $this->options->phraseProfileAuthorBio ? $this->options->phraseProfileAuthorBio : __('Comment Author Biography', 'wpdiscuz-comment-author-info'); ?></div>
            <div class="wcai-profile-field-val">
                <?php $phraseNotAvailable = $this->options->phraseNotAvailable ? $this->options->phraseNotAvailable : __('Not available', 'wpdiscuz-comment-author-info'); ?>
                <?php print ($bio = get_user_meta($user->ID, 'description', true)) ? $bio : "<p style='text-align:center'>" . $phraseNotAvailable . "</p>"; ?>
            </div>
        <?php } ?>
        <?php if ($this->options->profileShowStatistics && current_user_can('delete_others_pages')) { ?>
            <?php $phraseProfileCommentsStat = $this->options->phraseProfileCommentsStat ? $this->options->phraseProfileCommentsStat : __('Comments Statistic', 'wpdiscuz-comment-author-info'); ?>
            <div class="wcai-profile-title-l"><?php echo $phraseProfileCommentsStat; ?></div>
            <div class="wcai-stat-box">
                <?php $phraseProfileCommentsStatAll = $this->options->phraseProfileCommentsStatAll ? $this->options->phraseProfileCommentsStatAll : __('All', 'wpdiscuz-comment-author-info'); ?>
                <div class="wcai-stat-box-icon"><?php echo $phraseProfileCommentsStatAll; ?></div>
                <div class="wcai-stat-box-val"><?php echo $commentStatistic['all']; ?></div>
            </div>
            <div class="wcai-stat-box">
                <?php $phraseProfileCommentsStatApproved = $this->options->phraseProfileCommentsStatApproved ? $this->options->phraseProfileCommentsStatApproved : __('Approved', 'wpdiscuz-comment-author-info'); ?>
                <div class="wcai-stat-box-icon"><?php echo $phraseProfileCommentsStatApproved; ?></div>
                <div class="wcai-stat-box-val"><?php echo $commentStatistic['approved']; ?></div>
            </div>
            <div class="wcai-stat-box">
                <?php $phraseProfileCommentsStatPending = $this->options->phraseProfileCommentsStatPending ? $this->options->phraseProfileCommentsStatPending : __('Pending', 'wpdiscuz-comment-author-info') ?>
                <div class="wcai-stat-box-icon"><?php echo $phraseProfileCommentsStatPending; ?></div>
                <div class="wcai-stat-box-val"><?php echo $commentStatistic['pending']; ?></div>
            </div>
            <div class="wcai-stat-box">
                <?php $phraseProfileCommentsStatSpam = $this->options->phraseProfileCommentsStatSpam ? $this->options->phraseProfileCommentsStatSpam : __('Spam', 'wpdiscuz-comment-author-info') ?>
                <div class="wcai-stat-box-icon"><?php echo $phraseProfileCommentsStatSpam; ?></div>
                <div class="wcai-stat-box-val"><?php echo $commentStatistic['spam']; ?></div>
            </div>
            <div class="wcai-stat-box">
                <?php $phraseProfileCommentsStatTrashed = $this->options->phraseProfileCommentsStatTrashed ? $this->options->phraseProfileCommentsStatTrashed : __('Trashed', 'wpdiscuz-comment-author-info') ?>
                <div class="wcai-stat-box-icon"><?php echo $phraseProfileCommentsStatTrashed; ?></div>
                <div class="wcai-stat-box-val"><?php echo $commentStatistic['trash']; ?></div>
            </div>
        <?php } ?>
        <div class="wcai-clear"></div>
    </div>
</div>
<?php
$html .= ob_get_contents();
ob_end_clean();
