<?php
if (!defined('ABSPATH')) {
    exit();
}
?>
<div style="width:100%;">
    <h3 style="padding:5px 10px 10px 10px; margin:0px; text-align:right; border-bottom:1px solid #ddd; max-width:40%; margin:0px 0px 20px auto; font-weight:normal;"><?php _e('Comment Author Info Settings', 'wpdiscuz-comment-author-info'); ?></h3>
    <table class="widefat wcai-options" style="margin-top:10px; border:none; width:100%;">
        <tbody>
            <tr>
                <th class="w48"><?php _e('Comment Author Tabs', 'wpdiscuz-comment-author-info'); ?></th>
                <td>
                    <?php
                    $sections = $this->getDefaultSections();
                    $isArraySections = is_array($this->sections);
                    foreach ($sections as $section) {
                        ?>
                        <div class="wcai-chk-group w24">
                            <input type="checkbox" <?php checked($isArraySections && in_array($section, $this->sections)); ?> value="<?php echo $section; ?>" name="sections[]" id="wcai-<?php echo $section; ?>" class="wcai-chk-switch"/>
                            <label for="wcai-<?php echo $section; ?>" class="wcai-chk-switch-label"><?php echo ucfirst($section); ?></label>
                        </div>
                        <?php
                    }
                    ?>
                    <div class="wcai-clearfix"></div>
                </td>
            </tr>
            <tr>
                <th class="w48"><?php _e('Display comment author information for user roles', 'wpdiscuz-comment-author-info'); ?></th>
                <td>
                    <?php
                    $blogRoles = get_editable_roles();
                    $isArrayshowForRoles = is_array($this->showForRoles);
                    foreach ($blogRoles as $role => $info) {
                        ?>
                        <div class="wcai-chk-group w24">
                            <input type="checkbox" <?php checked($isArrayshowForRoles && in_array($role, $this->showForRoles)); ?> value="<?php echo $role; ?>" name="showForRoles[]" id="wcai-<?php echo $role; ?>" class="wcai-chk-switch"/>
                            <label for="wcai-<?php echo $role; ?>" class="wcai-chk-switch-label"/><?php echo $info['name']; ?></label>
                        </div>
                        <?php
                    }
                    ?>
                    <div class="wcai-clearfix"></div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-showForGuests"><?php _e('Display comment author information for guests', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-chk-group w24">
                        <input type="checkbox" <?php checked($this->showForGuests == 1); ?> value="1" name="showForGuests" id="wcai-showForGuests" class="wcai-chk-switch"/>
                        <label for="wcai-showForGuests" class="wcai-chk-switch-label wcai-chk-single"><?php _e('No', 'wpdiscuz-comment-author-info'); ?></label>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-shortInfoOnAvatarHover"><?php _e('Display comment author short information on avatar hover', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-chk-group w24">
                        <input type="checkbox" <?php checked($this->shortInfoOnAvatarHover == 1); ?> value="1" name="shortInfoOnAvatarHover" id="wcai-shortInfoOnAvatarHover" class="wcai-chk-switch"/>
                        <label for="wcai-shortInfoOnAvatarHover" class="wcai-chk-switch-label wcai-chk-single"><?php _e('Yes', 'wpdiscuz-comment-author-info'); ?></label>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-fullInfoOnUsernameClick"><?php _e('Display comment author full information on username click', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-chk-group w24">
                        <input type="checkbox" <?php checked($this->fullInfoOnUsernameClick == 1); ?> value="1" name="fullInfoOnUsernameClick" id="wcai-fullInfoOnUsernameClick" class="wcai-chk-switch"/>
                        <label for="wcai-fullInfoOnUsernameClick" class="wcai-chk-switch-label wcai-chk-single"><?php _e('Yes', 'wpdiscuz-comment-author-info'); ?></label>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><h3><?php _e('Profile Information', 'wpdiscuz-comment-author-info'); ?></h3></th>
                <td></td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-profileShowDisplayName"><?php _e('Display Name', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-chk-group  w24">
                        <input type="checkbox" <?php checked($this->profileShowDisplayName == 1); ?> value="1" name="profileShowDisplayName" id="wcai-profileShowDisplayName" class="wcai-chk-switch"/>
                        <label for="wcai-profileShowDisplayName" class="wcai-chk-switch-label wcai-chk-single"><?php _e('Yes', 'wpdiscuz-comment-author-info'); ?></label>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48">
                    <label for="wcai-profileShowNickName"><?php _e('Display Nickname', 'wpdiscuz-comment-author-info'); ?></label>
                </th>
                <td>
                    <div class="wcai-chk-group  w24">
                        <input type="checkbox" <?php checked($this->profileShowNickName == 1); ?> value="1" name="profileShowNickName" id="wcai-profileShowNickName" class="wcai-chk-switch"/>
                        <label for="wcai-profileShowNickName" class="wcai-chk-switch-label wcai-chk-single"><?php _e('Yes', 'wpdiscuz-comment-author-info'); ?></label>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-profileShowBio"><?php _e('Display Comment Author Biography', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-chk-group  w24">
                        <input type="checkbox" <?php checked($this->profileShowBio == 1); ?> value="1" name="profileShowBio" id="wcai-profileShowBio" class="wcai-chk-switch"/>
                        <label for="wcai-profileShowBio" class="wcai-chk-switch-label wcai-chk-single"><?php _e('Yes', 'wpdiscuz-comment-author-info'); ?></label>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-profileShowWebUrl"><?php _e('Display Website', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-chk-group w24">
                        <input type="checkbox" <?php checked($this->profileShowWebUrl == 1); ?> value="1" name="profileShowWebUrl" id="wcai-profileShowWebUrl" class="wcai-chk-switch"/>
                        <label for="wcai-profileShowWebUrl" class="wcai-chk-switch-label wcai-chk-single"><?php _e('Yes', 'wpdiscuz-comment-author-info'); ?></label>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48">
                    <label for="wcai-profileShowStatistics"><?php _e('Display Comment Statistics', 'wpdiscuz-comment-author-info'); ?></label>
                    <p class="howto wcai-description"><?php _e('This information is available for admins only', 'wpdiscuz-comment-author-info'); ?></p>
                </th>
                <td>
                    <div class="wcai-chk-group w24">
                        <input type="checkbox" <?php checked($this->profileShowStatistics == 1); ?> value="1" name="profileShowStatistics" id="wcai-profileShowStatistics" class="wcai-chk-switch"/>
                        <label for="wcai-profileShowStatistics" class="wcai-chk-switch-label wcai-chk-single"><?php _e('Yes', 'wpdiscuz-comment-author-info'); ?></label>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48">
                    <label for="wcai-profileShowMycredData"><?php _e('Display MyCRED Information', 'wpdiscuz-comment-author-info'); ?></label>
                    <p class="howto wcai-description"><?php _e('User Badges and Rank', 'wpdiscuz-comment-author-info'); ?></p>
                </th>
                <td>
                    <div class="wcai-chk-group w24">
                        <input type="checkbox" <?php checked($this->profileShowMycredData == 1); ?> value="1" name="profileShowMycredData" id="wcai-profileShowMycredData" class="wcai-chk-switch"/>
                        <label for="wcai-profileShowMycredData" class="wcai-chk-switch-label wcai-chk-single"><?php _e('Yes', 'wpdiscuz-comment-author-info'); ?></label>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-perPage"><?php _e('Pagination items per page', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="number" value="<?php echo $this->perPage; ?>" name="perPage" id="wcai-perPage" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <td colspan="2" style="text-align:right; padding:5px;">
                    <div class="wcai-chk-group w10" style="float:right;">
                        <input type="checkbox" class="wcai-chk-switch" disabled="disabled"/>
                        <label class="wcai-chk-switch-label wcai-chk-switch-on wcai-actions-disabled"/><?php _e('Enabled', 'wpdiscuz-comment-author-info'); ?></label>
                    </div>
                    <div class="wcai-chk-group w10" style="float:right;">
                        <input type="checkbox" class="wcai-chk-switch" disabled="disabled"/>
                        <label class="wcai-chk-switch-label wcai-chk-switch-off wcai-actions-disabled"/><?php _e('Disabled', 'wpdiscuz-comment-author-info'); ?></label>
                    </div>
                </td>
            </tr>

            <tr>
                <th class="w48"><h3><?php _e('Phrases', 'wpdiscuz-comment-author-info'); ?></h3></th>
                <td></td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseProfileSectionTitle"><?php _e('Profile tab title', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseProfileSectionTitle; ?>" name="phraseProfileSectionTitle" id="wcai-phraseProfileSectionTitle" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseActivitySectionTitle"><?php _e('Activity tab title', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseActivitySectionTitle; ?>" name="phraseActivitySectionTitle" id="wcai-phraseActivitySectionTitle" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseVotesSectionTitle"><?php _e('Voted Comments tab title', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseVotesSectionTitle; ?>" name="phraseVotesSectionTitle" id="wcai-phraseVotesSectionTitle" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseSubscriptionsSectionTitle"><?php _e('Subscriptions tab title', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseSubscriptionsSectionTitle; ?>" name="phraseSubscriptionsSectionTitle" id="wcai-phraseSubscriptionsSectionTitle" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseFollowsSectionTitle"><?php _e('Follows tab title', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseFollowsSectionTitle; ?>" name="phraseFollowsSectionTitle" id="wcai-phraseFollowsSectionTitle" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseNotAvailable"><?php _e('Not Available', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseNotAvailable; ?>" name="phraseNotAvailable" id="wcai-phraseNotAvailable" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseNoData"><?php _e('No Data', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseNoData; ?>" name="phraseNoData" id="wcai-phraseNoData" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseFullInfo"><?php _e('View Full Info', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseFullInfo; ?>" name="phraseFullInfo" id="wcai-phraseFullInfo" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><h4><?php _e('Profile Tab', 'wpdiscuz-comment-author-info'); ?></h4></th>
                <td></td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseProfileLastActivity"><?php _e('Last Activity', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseProfileLastActivity; ?>" name="phraseProfileLastActivity" id="wcai-phraseProfileLastActivity" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseProfileComments"><?php _e('Comments', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseProfileComments; ?>" name="phraseProfileComments" id="wcai-phraseProfileComments" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseProfilePosts"><?php _e('Posts', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseProfilePosts; ?>" name="phraseProfilePosts" id="wcai-phraseProfilePosts" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseProfileReceivedLikes"><?php _e('Received Likes', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseProfileReceivedLikes; ?>" name="phraseProfileReceivedLikes" id="wcai-phraseProfileReceivedLikes" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseProfileReceivedDisikes"><?php _e('Received Disikes', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseProfileReceivedDisikes; ?>" name="phraseProfileReceivedDisikes" id="wcai-phraseProfileReceivedDisikes" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseProfileAuthorBio"><?php _e('Comment Author Biography', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseProfileAuthorBio; ?>" name="phraseProfileAuthorBio" id="wcai-phraseProfileAuthorBio" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseProfileCommentsStat"><?php _e('Comments Statistic', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseProfileCommentsStat; ?>" name="phraseProfileCommentsStat" id="wcai-phraseProfileCommentsStat" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseProfileCommentsStatAll"><?php _e('All', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseProfileCommentsStatAll; ?>" name="phraseProfileCommentsStatAll" id="wcai-phraseProfileCommentsStatAll" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseProfileCommentsStatApproved"><?php _e('Approved', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseProfileCommentsStatApproved; ?>" name="phraseProfileCommentsStatApproved" id="wcai-phraseProfileCommentsStatApproved" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseProfileCommentsStatPending"><?php _e('Pending', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseProfileCommentsStatPending; ?>" name="phraseProfileCommentsStatPending" id="wcai-phraseProfileCommentsStatPending" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseProfileCommentsStatSpam"><?php _e('Spam', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseProfileCommentsStatSpam; ?>" name="phraseProfileCommentsStatSpam" id="wcai-phraseProfileCommentsStatSpam" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseProfileCommentsStatTrashed"><?php _e('Trashed', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseProfileCommentsStatTrashed; ?>" name="phraseProfileCommentsStatTrashed" id="wcai-phraseProfileCommentsStatTrashed" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><h4><?php _e('Activity Tab', 'wpdiscuz-comment-author-info'); ?></h4></th>
                <td></td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseActivityInResponseTo"><?php _e('In Response To', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseActivityInResponseTo; ?>" name="phraseActivityInResponseTo" id="wcai-phraseActivityInResponseTo" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><h4><?php _e('Votes Tab', 'wpdiscuz-comment-author-info'); ?></h4></th>
                <td></td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseVotesInResponseTo"><?php _e('In Response To', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseVotesInResponseTo; ?>" name="phraseVotesInResponseTo" id="wcai-phraseVotesInResponseTo" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><h4><?php _e('Subscriptions Tab', 'wpdiscuz-comment-author-info'); ?></h4></th>
                <td></td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseSubscriptionsReply"><?php _e('Subscribed to replies to this comment', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseSubscriptionsReply; ?>" name="phraseSubscriptionsReply" id="wcai-phraseSubscriptionsReply" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseSubscriptionsAllComment"><?php _e('Subscribed to replies to own comments', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseSubscriptionsAllComment; ?>" name="phraseSubscriptionsAllComment" id="wcai-phraseSubscriptionsAllComment" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phraseSubscriptionsPost"><?php _e('Subscribed to all follow-up comments of this post', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phraseSubscriptionsPost; ?>" name="phraseSubscriptionsPost" id="wcai-phraseSubscriptionsPost" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>            
            <tr>
                <th class="w48"><h4><?php _e('Pagination', 'wpdiscuz-comment-author-info'); ?></h4></th>
                <td></td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phrasePaginationFirst"><?php _e('First', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phrasePaginationFirst; ?>" name="phrasePaginationFirst" id="wcai-phrasePaginationFirst" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phrasePaginationPrevious"><?php _e('Previous', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phrasePaginationPrevious; ?>" name="phrasePaginationPrevious" id="wcai-phrasePaginationPrevious" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phrasePaginationNext"><?php _e('Next', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phrasePaginationNext; ?>" name="phrasePaginationNext" id="wcai-phrasePaginationNext" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wcai-phrasePaginationLast"><?php _e('Last', 'wpdiscuz-comment-author-info'); ?></label></th>
                <td>
                    <div class="wcai-input-group">
                        <input type="text" value="<?php echo $this->phrasePaginationLast; ?>" name="phrasePaginationLast" id="wcai-phrasePaginationLast" class="wcai-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>                
                <td colspan="2">
                    <?php $adminPostUrl = admin_url('admin-post.php?action=wcaiResetOptions'); ?>
                    <a href="<?php echo wp_nonce_url($adminPostUrl, 'wcaiResetOptions'); ?>" class="button button-secondary wcai-reset-options" style="margin-left: 5px;">
                        <?php _e('Reset comment author info options', 'wpdiscuz-comment-author-info'); ?>
                    </a>
                </td>
            </tr>            
        </tbody>
    </table>    
</div>