<?php
if (!defined('ABSPATH')) {
    exit();
}
$fields = $this->getAvailableFields();
?>
<div class="wpdiscuz-search-options">
    <h3 style="padding:5px 10px 10px 10px; margin:0px; text-align:right; border-bottom:1px solid #ddd; max-width:240px; margin:0px 0px 20px auto; font-weight:normal;"><?php _e('Comment search', 'wpdiscuz_sr'); ?></h3>
    <table class="wp-list-table widefat plugins" style="margin-top:10px; border:none;">
        <tbody>
            <tr valign="top">
                <td colspan="2">
                    <h3 style=" margin:0px;"><?php _e('General', 'wpdiscuz-search'); ?></h3>
                </td>
            </tr>
            <tr valign="top">
                <td>
                    <label for="display-setting-for-guests">
                        <?php _e('Display search form for guests', 'wpdiscuz-search'); ?>
                    </label>
                </td>
                <td>
                    <input type="checkbox" <?php if ($this->savedOptions['display_form_for_guests']) { ?> checked="checked" <?php } ?> name="display-form-for-guests" id='display-setting-for-guests' value='1'/>   
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <label for="display-setting">
                        <?php _e('Display search setting button', 'wpdiscuz-search'); ?>
                    </label>
                </th>
                <td>
                    <input type="checkbox" <?php if ($this->savedOptions['display_setting']) { ?> checked="checked" <?php } ?> name="display-setting" id="display-setting" value='1'/>
                </td>
            </tr>
            <tr>
                <th><?php _e('Available search fields', 'wpdiscuz-search'); ?></th>
                <td>
                    <?php
                    $savedFields = is_array($this->savedOptions['search_available_fields']) ? $this->savedOptions['search_available_fields'] : $fields;
                    foreach ($fields as $field) {
                        ?>
                        <div style="display:block;padding:5px 0;overflow:hidden;line-height:20px">
                            <input type="checkbox" <?php checked(in_array($field, $savedFields)); ?> value="<?php echo $field; ?>" name="search-available-fields[]" id="available-field-<?php echo $field; ?>" style="vertical-align:middle"/>
                            <label for="available-field-<?php echo $field; ?>"><?php echo ucfirst(str_replace('_', ' ', $field)); ?></label>
                        </div>
                        <?php
                    }
                    ?>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <label for="search-default-field">
                        <?php _e('Default search field', 'wpdiscuz-search'); ?>
                    </label>
                </th>
                <td>
                    <select name="search-default-field" id="search-default-field">
                        <?php
                        foreach ($fields as $field) {
                            ?>
                            <option value="<?php echo $field; ?>" <?php selected($this->savedOptions['search_default_field'] == $field); ?>><?php echo ucfirst(str_replace('_', ' ', $field)); ?></option>
                            <?php
                        }
                        ?>
                    </select>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <label for="search_text_min_length">
                        <?php _e('Search text min length', 'wpdiscuz-search'); ?>
                    </label>
                </th>
                <td>
                    <input type="number" style="padding: 3px 5px;" value="<?php echo isset($this->savedOptions['search_text_min_length']) ? $this->savedOptions['search_text_min_length'] : 3; ?>"  name="search_text_min_length" id="search_text_min_length" />
                </td>
            </tr>
            <tr valign="top">
                <td>
                    <h3 style=" margin:0px;"><?php _e('Search form style', 'wpdiscuz-search'); ?></h3>
                </td>
            </tr>
            <tr valign="top">
                <th>
                    <?php _e('Searched data background', 'wpdiscuz-search'); ?>
                </th>
                <td>
                    <?php $searched_data_bg = isset($this->savedOptions['searched_data_bg']) ? $this->savedOptions['searched_data_bg'] : '#C4ECE4'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $searched_data_bg; ?>" class="wpdiscuz-color-picker regular-text" name="wpdiscuz-searched-data-bg" id="wpdiscuz-searched-data-bg" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-search'); ?>"/>                    
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <?php _e('Search icons color', 'wpdiscuz-search'); ?>
                </th>
                <td>
                    <?php $icons_color = isset($this->savedOptions['search_icons_color']) ? $this->savedOptions['search_icons_color'] : '#00B38F'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $icons_color; ?>" class="wpdiscuz-color-picker regular-text" name="wpdiscuz-search-icons-color" id="wpdiscuz-search-icons-color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-search'); ?>"/>                    
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <?php _e('Search form text color', 'wpdiscuz-search'); ?>
                </th>
                <td>
                    <?php $search_text_color = isset($this->savedOptions['search_text_color']) ? $this->savedOptions['search_text_color'] : '#666666'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $search_text_color; ?>" class="wpdiscuz-color-picker regular-text" name="wpdiscuz-search-text-color" id="wpdiscuz-search-text-color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-search'); ?>"/>                    
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <?php _e('Search box background color', 'wpdiscuz-search'); ?>
                </th>
                <td>
                    <?php $search_bg_color = isset($this->savedOptions['search_bg_color']) ? $this->savedOptions['search_bg_color'] : '#FFFFFF'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $search_bg_color; ?>" class="wpdiscuz-color-picker regular-text" name="wpdiscuz-search-bg-color" id="wpdiscuz-search-bg-color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-search'); ?>"/>                    
                </td>     
            </tr>
            <tr valign="top">
                <th>
                    <?php _e('Search box border color', 'wpdiscuz-search'); ?>
                </th>
                <td>
                    <?php $search_box_border_color = isset($this->savedOptions['search_box_border_color']) ? $this->savedOptions['search_box_border_color'] : '#CDCDCD'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $search_box_border_color; ?>" class="wpdiscuz-color-picker regular-text" name="wpdiscuz-search-box-border-color" id="wpdiscuz-search-box-border-color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-search'); ?>"/>                    
                </td>  
            </tr>  
            <tr valign="top">
                <td colspan="2">
                    <h3 style=" margin:0px;"><?php _e('Dialog style', 'wpdiscuz-search'); ?></h3>
                </td>
            </tr>
            <tr valign="top">
                <th>
                    <?php _e('Dialog text color', 'wpdiscuz-search'); ?>
                </th>
                <td>
                    <?php $dialog_text_color = isset($this->savedOptions['dialog_text_color']) ? $this->savedOptions['dialog_text_color'] : '#666666'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $dialog_text_color; ?>" class="wpdiscuz-color-picker regular-text" name="search-dialog-text-color" id="search-dialog-text-color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-search'); ?>"/>                    
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <?php _e('Dialog background color', 'wpdiscuz-search'); ?>
                </th>
                <td>
                    <?php $dialog_bg_color = isset($this->savedOptions['dialog_bg_color']) ? $this->savedOptions['dialog_bg_color'] : '#FFFFFF'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $dialog_bg_color; ?>" class="wpdiscuz-color-picker regular-text" name="search-dialog-bg-color" id="search-dialog-bg-color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-search'); ?>"/>                    
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <?php _e('Dialog item hover color', 'wpdiscuz-search'); ?>
                </th>
                <td>
                    <?php $hover_color = isset($this->savedOptions['dialog_hover_color']) ? $this->savedOptions['dialog_hover_color'] : '#EEEEEE'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $hover_color; ?>" class="wpdiscuz-color-picker regular-text" name="search-dialog-hover-color" id="search-dialog-hover-color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-search'); ?>"/>                    
                </td>                
            </tr>
            <tr valign="top">
                <td colspan="2">
                    <h3 style=" margin:0px;"><?php _e('Pagination style', 'wpdiscuz-search'); ?></h3>
                </td>
            </tr>
            <tr valign="top">
                <th>
                    <?php _e('Pagination text color', 'wpdiscuz-search'); ?>
                </th>
                <td>
                    <?php $pagination_text_color = isset($this->savedOptions['pagination_text_color']) ? $this->savedOptions['pagination_text_color'] : '#666666'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $pagination_text_color; ?>" class="wpdiscuz-color-picker regular-text" name="search-pagination-text-color" id="search-pagination-text-color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-search'); ?>"/>                    
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <?php _e('Pagination item background color', 'wpdiscuz-search'); ?>
                </th>
                <td>
                    <?php $pagination_item_bg_color = isset($this->savedOptions['pagination_item_bg_color']) ? $this->savedOptions['pagination_item_bg_color'] : '#C4ECE4'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $pagination_item_bg_color; ?>" class="wpdiscuz-color-picker regular-text" name="search-pagination-item-bg-color" id="search-pagination-item-bg-color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-search'); ?>"/>                    
                </td>                
            </tr>

            <tr valign="top">
                <td colspan="2">
                    <h3 style=" margin:0px;"><?php _e('Widget and Shortcode Styles', 'wpdiscuz-search'); ?></h3>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <label for="post-letters-count">
                        <?php _e('Shortcode', 'wpdiscuz-search'); ?>
                    </label>
                </th>
                <td>
                    <input type="text" value="[commSearch]" readonly class="regular-text" name="wpdiscuz-search-shortcode" id="wpdiscuz-search-shortcode"  />
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <label for="post-letters-count">
                        <?php _e('Comment letters count', 'wpdiscuz-search'); ?>
                    </label>
                </th>
                <td>
                    <?php $post_letters_count = isset($this->savedOptions['widget_post_letters_count']) ? $this->savedOptions['widget_post_letters_count'] : 60; ?>
                    <input type="number" value="<?php echo $post_letters_count ?>" name="post-letters-count" id="post-letters-count" style="width:100px;" />
                </td>
            </tr>
            <tr valign="top">
                <th>
                    <?php _e('Comment content color', 'wpdiscuz-search'); ?>
                </th>
                <td>
                    <?php $post_content_color = isset($this->savedOptions['widget_post_content_color']) ? $this->savedOptions['widget_post_content_color'] : '#686868'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $post_content_color; ?>" class="wpdiscuz-color-picker regular-text" name="widget-post-content-color" id="widget-post-content-color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-search'); ?>"/>                    
                </td>                
            </tr> 
            <tr valign="top">
                <th>
                    <?php _e('Post title color', 'wpdiscuz-search'); ?>
                </th>
                <td>
                    <?php $post_title_color = isset($this->savedOptions['widget_post_title_color']) ? $this->savedOptions['widget_post_title_color'] : '#00B490'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $post_title_color; ?>" class="wpdiscuz-color-picker regular-text" name="widget-post-title-color" id="widget-post-title-color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-search'); ?>"/>                    
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <?php _e('Post author and date color', 'wpdiscuz-search'); ?>
                </th>
                <td>
                    <?php $author_date_color = isset($this->savedOptions['widget_post_author_date_color']) ? $this->savedOptions['widget_post_author_date_color'] : '#CCC'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $author_date_color; ?>" class="wpdiscuz-color-picker regular-text" name="widget-post-author-date-color" id="widget-post-author-date-color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-search'); ?>"/>                    
                </td>                
            </tr> 

            <tr valign="top">
                <th>
                    <?php _e('Load more button background color', 'wpdiscuz-search'); ?>
                </th>
                <td>
                    <?php $widget_loadmore_bg = isset($this->savedOptions['widget_loadmore_bg']) ? $this->savedOptions['widget_loadmore_bg'] : '#DAF3EE'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $widget_loadmore_bg; ?>" class="wpdiscuz-color-picker  regular-text" name="widget-loadmore-bg" id="widget-loadmore-bg" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-search'); ?>"/>                    
                </td>                
            </tr>

            <tr valign="top">
                <th>
                    <?php _e('Load more button text color', 'wpdiscuz-search'); ?>
                </th>
                <td>
                    <?php $widget_loadmore_text = isset($this->savedOptions['widget_loadmore_text']) ? $this->savedOptions['widget_loadmore_text'] : '#666666'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $widget_loadmore_text; ?>" class="wpdiscuz-color-picker  regular-text" name="widget-loadmore-text" id="widge-loadmore-text" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-search'); ?>"/>                    
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <?php _e('Load more button border color', 'wpdiscuz-search'); ?>
                </th>
                <td>
                    <?php $widget_loadmore_border = isset($this->savedOptions['widget_loadmore_border']) ? $this->savedOptions['widget_loadmore_border'] : '#CCCCCC'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $widget_loadmore_border; ?>" class="wpdiscuz-color-picker  regular-text" name="widget-loadmore-border" id="widget-loadmore-border" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-search'); ?>"/>                    
                </td>                
            </tr>

            <tr valign="top">
                <td colspan="2">
                    <h3 style=" margin:0px;"><?php _e('Search Phrases', 'wpdiscuz-search'); ?></h3>
                </td>
            </tr>
            <tr valign="top">
                <th>
                    <label for="wpdiscuz-search-result-phrase">
                        <?php _e('Search result', 'wpdiscuz-search'); ?>
                    </label>
                </th>
                <td>
                    <?php $search_results_phrase = isset($this->savedOptions['search_result_phrase']) ? $this->savedOptions['search_result_phrase'] : 'Search result'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $search_results_phrase; ?>"  name="wpdiscuz-search-result-phrase"  id="wpdiscuz-search-result-phrase" placeholder="<?php _e('Search result phrase', 'wpdiscuz-search'); ?>"/>                    
                </td>            
            </tr>
            <tr valign="top">
                <th>
                    <label for="wpdiscuz-search-no-result-phrase">
                        <?php _e('No comment found', 'wpdiscuz-search'); ?>
                    </label>
                </th>
                <td>
                    <?php $search_no_results_phrase = isset($this->savedOptions['search_no_result_phrase']) ? $this->savedOptions['search_no_result_phrase'] : 'No comment found'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $search_no_results_phrase; ?>"  name="wpdiscuz-search-no-result-phrase"  id="wpdiscuz-search-no-result-phrase" placeholder="<?php _e('Search no result phrase', 'wpdiscuz-search'); ?>"/>                    
                </td>            
            </tr>
            <tr valign="top">
                <th>
                    <label for="wpdiscuz-search-placeholder">
                        <?php _e('Search form placeholder', 'wpdiscuz-search'); ?>
                    </label>
                </th>
                <td>
                    <?php $placeholder = isset($this->savedOptions['search_placeholder']) ? $this->savedOptions['search_placeholder'] : 'Comment search...'; ?>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $placeholder; ?>"  name="wpdiscuz-search-placeholder"  id="wpdiscuz-search-placeholder" placeholder="<?php _e('Search form placeholder', 'wpdiscuz-search'); ?>"/>                    
                </td>            
            </tr>
            <tr valign="top">
                <th>
                    <label for="wpdiscuz-search-by-all">
                        <?php _e('All', 'wpdiscuz-search'); ?>
                    </label>
                </th>
                <td>                    
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $this->savedOptions['dialog_search_by_all']; ?>"  name="wpdiscuz-search-by-all"  id="wpdiscuz-search-by-all" placeholder="<?php _e('All...', 'wpdiscuz-search'); ?>"/>
                </td>  
            </tr>
            <tr valign="top">
                <th>
                    <label for="wpdiscuz-search-by-content">
                        <?php _e('Content', 'wpdiscuz-search'); ?>
                    </label>
                </th>
                <td>                    
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $this->savedOptions['dialog_search_by_content']; ?>"  name="wpdiscuz-search-by-content"  id="wpdiscuz-search-by-content" placeholder="<?php _e('Content phrase...', 'wpdiscuz-search'); ?>"/>                    
                </td>  
            </tr>
            <tr valign="top">
                <th>
                    <label for="wpdiscuz-search-by-author">
                        <?php _e('Author', 'wpdiscuz-search'); ?>
                    </label>
                </th>
                <td>                    
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $this->savedOptions['dialog_search_by_author']; ?>"  name="wpdiscuz-search-by-author"  id="wpdiscuz-search-by-author" placeholder="<?php _e('Author phrase...', 'wpdiscuz-search'); ?>"/>                    
                </td>  
            </tr>
            <tr valign="top">
                <th>
                    <label for="wpdiscuz-search-by-email">
                        <?php _e('E-mail', 'wpdiscuz-search'); ?>
                    </label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $this->savedOptions['dialog_search_by_email']; ?>"  name="wpdiscuz-search-by-email"  id="wpdiscuz-search-by-email" placeholder="<?php _e('E-mail phrase...', 'wpdiscuz-search'); ?>"/>
                </td>  
            </tr>
            <tr valign="top">
                <th>
                    <label for="wpdiscuz-search-by-custom-fields">
                        <?php _e('Custom Fields', 'wpdiscuz-search'); ?>
                    </label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px;" value="<?php echo $this->savedOptions['dialog_search_by_custom_fields']; ?>"  name="wpdiscuz-search-by-custom-fields"  id="wpdiscuz-search-by-custom-fields" placeholder="<?php _e('Custom Fields phrase...', 'wpdiscuz-search'); ?>"/>
                </td>  
            </tr>
            <tr valign="top">
                <td colspan="2">
                    <?php
                    $resetOptionsUrl = admin_url() . 'edit-comments.php?page=wpdiscuz_options_page&search_reset_options=1';
                    $resetOptionsUrl = wp_nonce_url($resetOptionsUrl, 'wpdiscuz_search_reset_options_nonce');
                    ?>
                    <a class="search_reset_options button" href="<?php echo $resetOptionsUrl; ?>"><?php _e('Reset Options', 'wpdiscuz-search') ?></a>
                </td>
            </tr>
        </tbody>
    </table>
</div>

