<?php
if (!defined('ABSPATH')) {
    exit();
}

$fields = $this->options->getAvailableFields();
$savedFields = $this->options->savedOptions['search_available_fields'] ? $this->options->savedOptions['search_available_fields'] : $fields;
if ($customFieldsKey = array_search('custom_fields', $savedFields)) {
    unset($savedFields[$customFieldsKey]);
    array_values($savedFields);
}
$displaySearchSettings = $this->options->savedOptions['display_setting'];
$searchDefaultField = in_array($this->options->savedOptions['search_default_field'], $savedFields) ? $this->options->savedOptions['search_default_field'] : 'all';
?>
<div class="wpdiscuz-search-widget">
    <div class="wpdiscuz-widget-search-form clearfix">
        <div class="wpdiscuz-search-box" style="border: 1px solid <?php echo $this->options->savedOptions['search_box_border_color'] ?>; background-color: <?php echo $this->options->savedOptions['search_bg_color']; ?> ">
            <i class="fas fa-search wpdiscuz-all-search-img"></i>
            <input type="search" placeholder="<?php _e($this->options->savedOptions['search_placeholder'], 'wpdiscuz-search') ?>" name="all-search-comment" class="wpdiscuz-all-comm-search" />
            <?php if ($displaySearchSettings && count($savedFields) > 1) { ?>
                <i class="fas fa-bars wpdiscuz-all-search-setting-img"></i>
                <?php
            }
            ?>
        </div>
        <?php if ($displaySearchSettings && count($savedFields) > 1) { ?>
            <div class="wpdiscuz-search-setting wpdiscuz-all-search-setting-wrap" style="border: 1px solid <?php echo $this->options->savedOptions['search_box_border_color']; ?>">
                <span class="shearch-arrow"></span>
                <span class="shearch-arrow-no-border"></span>
                <?php
                foreach ($savedFields as $savedField) {
                    if ($searchDefaultField != $savedField) {
                        ?>
                        <p><input type="button" name="<?php echo $savedField; ?>" value='<?php echo $this->options->savedOptions["dialog_search_by_$savedField"]; ?>' /></p>
                        <?php
                    }
                }
                ?>
                <input type="hidden" name="<?php echo $searchDefaultField; ?>" value="<?php echo $this->options->savedOptions["dialog_search_by_$searchDefaultField"]; ?>" class="wpdiscuz-search-by" />
            </div>
        <?php } ?>
    </div>
    <div class="wc-thread-wrapper-search wpdiscuz-all-serch-cont"></div>
    <div class="wpdiscuz-comm-search-all">
        <?php
        $widget_options = get_option('widget_wpdiscuz_search_widget_options');
        $post_count = $widget_options['widget_display_post_count'];
        $display_avatar = $widget_options['widget_display_avatar'];
        $results = $this->dbManager->newComments($post_count);
        foreach ($results as $result) {
            $post_info = get_post(intval($result['comment_post_ID']));
            $user_info = get_userdata(intval($result['user_id']));
            $user_avatar_url = get_avatar_url(intval($result['user_id']), array(
                'size' => 50,
                'default' => 'mystery'
            ));
            ?>
            <div class="wpdiscuz-comm-search-all-item clearfix">
                <?php if ($display_avatar == 'on') { ?>
                    <div class="wpdiscuz-comm-search-all-avatar">
                        <img src='<?php echo $user_avatar_url; ?>' alt='<?php echo isset($user_info->display_name) ? $user_info->display_name : 'guest'; ?>' title='<?php echo isset($user_info->display_name) ? $user_info->display_name : 'guest'; ?>' /> 
                    </div>
                <?php } ?>
                <div> 
                    <a class="wpdscuz-comm-search-all-post-title" target="_blank" href='<?php echo get_comment_link($result['comment_ID']); ?>'> 
                        <b style="color: <?php echo isset($this->options->savedOptions['widget_post_title_color']) ? $this->options->savedOptions['widget_post_title_color'] : '#00B490' ?>" class="widget-post-title"><?php echo $post_info->post_title ?></b>
                    </a>
                    <p style="color: <?php echo isset($this->options->savedOptions['widget_post_author_date_color']) ? $this->options->savedOptions['widget_post_author_date_color'] : '#CCC'; ?>"  class="widget-post-author-date"><?php echo isset($user_info->display_name) ? $user_info->display_name : 'Guest'; ?>, <?php echo substr($result['comment_date'], 0, 10) ?></p>
                    <div style="color: <?php echo isset($this->options->savedOptions['widget_post_content_color']) ? $this->options->savedOptions['widget_post_content_color'] : '#686868' ?>; word-wrap:break-word;" class="widget-post-content">
                        <?php
                        if (strlen($result['comment_content']) > $this->options->savedOptions['widget_post_letters_count']) {
                            echo substr($result['comment_content'], 0, $this->options->savedOptions['widget_post_letters_count']) . "...";
                        } else {
                            echo $result['comment_content'];
                        }
                        ?>
                    </div>
                </div>
                <div style="clear: both;" class='clear'></div>
            </div> 
            <?php
        }
        ?>
    </div>
</div>