<?php defined('ABSPATH') or exit; ?>
<div class="translate">
    <h3 style="padding:5px 10px 15px 10px; margin:0px; text-align:right; border-bottom:1px solid #ddd; margin:0px 0px 20px auto; font-weight:normal;"><?php _e('Comment Translation', 'wpdiscuz-translate'); ?></h3>
    <div class="api-type">
        <?php
        $google_check = $this->apiType == 'google' ? ' checked="checked"' : '';
        $yandex_check = $this->apiType == 'yandex' ? ' checked="checked"' : '';
        ?>
        <label class="check-api google-api-checked">
            <input id="is-google" type="radio" name="ayi-type" value="google" style="display: none"  <?php echo $google_check; ?> >
            <div>
                <p><img src="<?php echo plugins_url('../assets/images/google.png', __FILE__) ?>" style="height:60px;"></p>
                <p style="padding:5px; margin:0px; font-size:16px; color:#389207; font-weight:bold;"><?php _e('Only Paid', 'wpdiscuz-translate'); ?></p>
                <p>The Google Translate API is provided to you without any free usage quota at all. You will be charged for each successful request you make through the Translate API. <a href="https://cloud.google.com/translate/v2/terms" target="_blank">More information &raquo; </a></p>
            </div>
        </label>
        <label class="check-api yan-api-checked">
            <input id="is-yandex" type="radio" name="ayi-type" value="yandex"  style="display: none"  <?php echo $yandex_check; ?> >
            <div>
                <p><img src="<?php echo plugins_url('../assets/images/yandex.png', __FILE__) ?>" style="height:70px;"></p>
                <p style="padding:5px; margin:0px; font-size:16px; color:#389207; font-weight:bold;"><?php _e('Free &amp; Paid', 'wpdiscuz-translate'); ?></p>
                <p>Yandex.Translate API can be used for free in websites, which do not exceed 10,000,000 characters a month (and no more than 1,000,000 in 24 hours). <a href="https://translate.yandex.com/developers" target="_blank">More information &raquo;</a></p>
            </div>
        </label>
    </div>
    <?php
    $googleApiKey = $this->apiType == 'google' ? $this->apiKey : '';
    $yandexApiKey = $this->apiType == 'yandex' ? $this->apiKey : '';
    ?>
    <!-- google API-->
    <div class="google-api" style="display: none;">
        <h2 class="api-key-title" id="title-google"><span style="color:#637BF7;">G</span><span style="color:#EC4D3B;">o</span><span style="color:#FAC009;">o</span><span style="color:#637BF7;">g</span><span style="color:#68AA50;">l</span><span style="color:#EC4D3B;">e</span>.Translate</h2>
        <div class="yan-tr-cont" style="display:table; width:100%; margin:0px auto 0px auto; padding:10px;">
            <div style="display:table-cell; font-size:16px; white-space:nowrap; width:10%;  padding-top: 4px; vertical-align: top;"><?php _e('API key: ', 'wpdiscuz-translate'); ?></div>
            <div style="display:flex; vertical-align:bottom;">
                <div class="input-container"> 
                    <input type="text" class="set-api google-api-input" value="<?php echo $googleApiKey; ?>">
                </div>
                <div class="set-trns-api"><?php _e('Set', 'wpdiscuz-translate') ?></div>
                <div class="valid-logo"></div>
            </div>
        </div>
        <!-- instruction-->
        <div class="google-instruction" style="border-bottom:1px solid #dddddd; padding-bottom:15px; margin-bottom:15px;">
            <p style="font-weight:bold; font-size:15px; padding-bottom:10px; padding-top:5px;"> <?php _e('Instruction to get', 'wpdiscuz-translate'); ?> <span style="color:#637BF7;">G</span><span style="color:#EC4D3B;">o</span><span style="color:#FAC009;">o</span><span style="color:#637BF7;">g</span><span style="color:#68AA50;">l</span><span style="color:#EC4D3B;">e</span>.Translate <?php _e('API key:', 'wpdiscuz-translate'); ?></p>
            <div style="width:28%; display:inline-block;">
                <p style="font-size:16px; text-align:center;  vertical-align: top;"><?php _e('Step 1', 'wpdiscuz-translate') ?></p>
                <p style="text-align:center;"><a href="<?php echo plugins_url('../assets/images/google/1.png', __FILE__) ?>" target="_blank"><img src="<?php echo plugins_url('../assets/images/google/1.png', __FILE__) ?>" style="height:100px;padding:2px; border:2px solid #dddddd;"></a></p>
                <p style="text-align:center;"><a href="https://accounts.google.com/Login" target="_blank">Login</a> or <a href="https://accounts.google.com/SignUp" target="_blank">create Google account &raquo;</a></p>
            </div>
            <div style="width:28%; display:inline-block; vertical-align: top;">
                <p style="font-size:16px; text-align:center;"><?php _e('Step 2', 'wpdiscuz-translate') ?></p>
                <p style="text-align:center;"><a href="<?php echo plugins_url('../assets/images/google/2.png', __FILE__) ?>" target="_blank"><img src="<?php echo plugins_url('../assets/images/google/2.png', __FILE__) ?>" style="height:100px;padding:2px; border:2px solid #dddddd;"></a></p>
                <p style="text-align:center;"><a href="https://console.cloud.google.com/iam-admin/projects" target="_blank">Go to the Projects page &raquo;</a></p>
            </div>
            <div style="width:28%; display:inline-block;  vertical-align: top;">
                <p style="font-size:16px; text-align:center;"><?php _e('Step 3', 'wpdiscuz-translate') ?></p>
                <p style="text-align:center;"><a href="<?php echo plugins_url('../assets/images/google/3.png', __FILE__) ?>" target="_blank"><img src="<?php echo plugins_url('../assets/images/google/3.png', __FILE__) ?>" style="height:100px;padding:2px; border:2px solid #dddddd;"></a></p>
                <p style="text-align:center;">Create a Cloud Platform project</p>
            </div>
            <p>&nbsp;</p>
            <div style="width:28%; display:inline-block;">
                <p style="font-size:16px; text-align:center;  vertical-align: top;"><?php _e('Step 4', 'wpdiscuz-translate') ?></p>
                <p style="text-align:center;"><a href="<?php echo plugins_url('../assets/images/google/4.png', __FILE__) ?>" target="_blank"><img src="<?php echo plugins_url('../assets/images/google/4.png', __FILE__) ?>" style="height:100px;padding:2px; border:2px solid #dddddd;"></a></p>
                <p style="text-align:center;"><a href="https://console.cloud.google.com/billing" target="_blank">Enable billing for your project</a></p>
            </div>
            <div style="width:28%; display:inline-block;">
                <p style="font-size:16px; text-align:center;  vertical-align: top;"><?php _e('Step 5', 'wpdiscuz-translate') ?></p>
                <p style="text-align:center;"><a href="<?php echo plugins_url('../assets/images/google/5.png', __FILE__) ?>" target="_blank"><img src="<?php echo plugins_url('../assets/images/google/5.png', __FILE__) ?>" style="height:100px;padding:2px; border:2px solid #dddddd;"></a></p>
                <p style="text-align:center;">Register billing account</p>
            </div>
            <div style="width:28%; display:inline-block;">
                <p style="font-size:16px; text-align:center;  vertical-align: top;"><?php _e('Step 6', 'wpdiscuz-translate') ?></p>
                <p style="text-align:center;"><a href="<?php echo plugins_url('../assets/images/google/6.png', __FILE__) ?>" target="_blank"><img src="<?php echo plugins_url('../assets/images/google/6.png', __FILE__) ?>" style="height:100px;padding:2px; border:2px solid #dddddd;"></a></p>
                <p style="text-align:center;"><a href="https://console.cloud.google.com/apis/credentials" target="_blank">Create API Key on Credentials</a></p>
            </div>

            <p>&nbsp;</p>
            <div style="width:28%; display:inline-block;">
                <p style="font-size:16px; text-align:center;  vertical-align: top;"><?php _e('Step 7', 'wpdiscuz-translate') ?></p>
                <p style="text-align:center;"><a href="<?php echo plugins_url('../assets/images/google/7.png', __FILE__) ?>" target="_blank"><img src="<?php echo plugins_url('../assets/images/google/7.png', __FILE__) ?>" style="height:100px;padding:2px; border:2px solid #dddddd;"></a></p>
                <p style="text-align:center;">Select Browser key when prompted</p>
            </div>
            <div style="width:28%; display:inline-block;">
                <p style="font-size:16px; text-align:center;  vertical-align: top;"><?php _e('Step 8', 'wpdiscuz-translate') ?></p>
                <p style="text-align:center;"><a href="<?php echo plugins_url('../assets/images/google/8.png', __FILE__) ?>" target="_blank"><img src="<?php echo plugins_url('../assets/images/google/8.png', __FILE__) ?>" style="height:100px;padding:2px; border:2px solid #dddddd;"></a></p>
                <p style="text-align:center;">Insert API Name and Web Site</p>
            </div>
            <div style="width:28%; display:inline-block;">
                <p style="font-size:16px; text-align:center;  vertical-align: top;"><?php _e('Step 9', 'wpdiscuz-translate') ?></p>
                <p style="text-align:center;"><a href="<?php echo plugins_url('../assets/images/google/9.png', __FILE__) ?>" target="_blank"><img src="<?php echo plugins_url('../assets/images/google/9.png', __FILE__) ?>" style="height:100px;padding:2px; border:2px solid #dddddd;"></a></p>
                <p style="text-align:center;">Get API key</p>
            </div>

        </div>
    </div>

    <!-- yandex API-->
    <div class="yandex-api" style="display: none;">
        <h2 class="api-key-title" id="title-yandex"><span style="color:#FF0000;">Y</span>andex.Translate</h2>
        <div class="yan-tr-cont" style="display:table; width:100%; margin:0px auto 0px auto; padding:10px;">
            <div style="display:table-cell; font-size:16px; white-space:nowrap; width:10%;  padding-top: 4px; vertical-align: top;"><?php _e('API key: ', 'wpdiscuz-translate'); ?></div>
            <div style="display:flex; vertical-align:bottom;">
                <div class="input-container">
                    <input type="text" class="set-api yandex-api-input" value="<?php echo $yandexApiKey; ?>">
                </div>
                <div class="set-trns-api"><?php _e('Set', 'wpdiscuz-translate') ?></div>

                <div class="valid-logo"></div>
            </div>
        </div>
        <!-- instruction-->
        <div class="yan-instruction" style="border-bottom:1px solid #dddddd; padding-bottom:15px; margin-bottom:15px;">
            <p style="font-weight:bold; font-size:15px; padding-bottom:10px; padding-top:5px;">  <?php _e('Instruction to get', 'wpdiscuz-translate'); ?> <span style="color:#FF0000;">Y</span>andex.Translate <?php _e('API key:', 'wpdiscuz-translate'); ?></p>
            <div style="width:28%; display:inline-block;">
                <p style="font-size:16px; text-align:center;  vertical-align: top;"><?php _e('Step 1', 'wpdiscuz-translate') ?></p>
                <p style="text-align:center;"><a href="<?php echo plugins_url('../assets/images/yandex/step-1.png', __FILE__) ?>" target="_blank"><img src="<?php echo plugins_url('../assets/images/yandex/step-1.png', __FILE__) ?>" style="height:100px;padding:2px; border:2px solid #dddddd;"></a></p>
                <p style="text-align:center;"><a href="https://tech.yandex.com/keys/get/?service=trnsl" target="_blank">Login or create Yandex account &raquo;</a></p>
            </div>
            <div style="width:28%; display:inline-block; vertical-align: top;">
                <p style="font-size:16px; text-align:center;"><?php _e('Step 2', 'wpdiscuz-translate') ?></p>
                <p style="text-align:center;"><a href="<?php echo plugins_url('../assets/images/yandex/step-2.png', __FILE__) ?>" target="_blank"><img src="<?php echo plugins_url('../assets/images/yandex/step-2.png', __FILE__) ?>" style="height:100px;padding:2px; border:2px solid #dddddd;"></a></p>
                <p style="text-align:center;"><a href="https://tech.yandex.com/keys/get/?service=trnsl" target="_blank">API Key generation form</a></p>
            </div>
            <div style="width:28%; display:inline-block;  vertical-align: top;">
                <p style="font-size:16px; text-align:center;"><?php _e('Step 3', 'wpdiscuz-translate') ?></p>
                <p style="text-align:center;"><a href="<?php echo plugins_url('../assets/images/yandex/step-3.png', __FILE__) ?>" target="_blank"><img src="<?php echo plugins_url('../assets/images/yandex/step-3.png', __FILE__) ?>" style="height:100px;padding:2px; border:2px solid #dddddd;"></a></p>
                <p style="text-align:center;">Get API key</p>
            </div>
        </div>
    </div>

    <div>
        <table class="wp-list-table widefat plugins" style="margin-top:10px; border:none;">
            <tbody>
                <!--Background and Colors-->
                <tr valign="top">
                    <th colspan="3">
                        <span class="wpdiscuz-option-title"><h2><?php _e('Background and Colors', 'wpdiscuz-translate'); ?></h2></span>
                    </th>               
                </tr>
                <tr valign="top">
                    <th colspan="2">
                        <span class="wpdiscuz-option-title"><?php _e('Translation Form Background Color', 'wpdiscuz-translate'); ?></span>
                    </th>
                    <td>
                        <input type="text" class="wpdiscuz-color-picker regular-text" style="padding: 3px 5px;" value="<?php echo $this->bgColor; ?>" id="trns_form_bg_color" name="trns_form_bg_color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-translate'); ?>"/>                    
                    </td>                
                </tr>
                <tr valign="top">
                    <th colspan="2">
                        <span class="wpdiscuz-option-title"><?php _e('Translation Form Border Color', 'wpdiscuz-translate'); ?></span>
                    </th>
                    <td>
                        <input type="text" class="wpdiscuz-color-picker regular-text" style="padding: 3px 5px;" value="<?php echo $this->borderColor; ?>" id="trns_form_border_color" name="trns_form_border_color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-translate'); ?>"/>
                    </td>
                </tr>
                <tr valign="top">
                    <th colspan="2">
                        <span class="wpdiscuz-option-title"><?php _e('Translation Languages\' Bottom Line Color', 'wpdiscuz-translate'); ?></span>
                    </th>
                    <td>
                        <input type="text" class="wpdiscuz-color-picker regular-text" style="padding: 3px 5px;" value="<?php echo $this->lineColor; ?>" id="trns_text_bottom_line_color" name="trns_text_bottom_line_color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz-translate'); ?>"/>
                    </td>
                </tr>
                <!--Phrases-->
                <tr valign="top">
                    <th colspan="3">
                        <span class="wpdiscuz-option-title"> <h2><?php _e('Front-end Phrases', 'wpdiscuz-translate'); ?></h2></span>
                    </th>        
                </tr>
                <tr valign="top">
                    <th colspan="2">
                        <span class="wpdiscuz-option-title"><?php _e('Translate', 'wpdiscuz-translate'); ?></span>
                    </th>
                    <td>
                        <input type="text" style="padding: 3px 5px;" value="<?php echo phrases('Translate'); ?>"  name="tr_translate" placeholder="<?php _e('Translate', 'wpdiscuz-translate'); ?>" />                    
                    </td>                
                </tr>
                <tr valign="top">
                    <th colspan="2">
                        <span class="wpdiscuz-option-title"><?php _e('Show all', 'wpdiscuz-translate'); ?></span>
                    </th>
                    <td>
                        <input type="text" style="padding: 3px 5px;" value="<?php echo phrases('Show all'); ?>"  name="tr_show_all" placeholder="<?php _e('Show all', 'wpdiscuz-translate'); ?>" /> 
                    </td>
                </tr>
                <tr valign="top">
                    <th colspan="2">
                        <span class="wpdiscuz-option-title"><?php _e('Show all languages', 'wpdiscuz-translate'); ?></span>
                    </th>
                    <td>
                        <input type="text" style="padding: 3px 5px;" value="<?php echo phrases('Show all languages'); ?>"  name="tr_show_all_languages" placeholder="<?php _e('Show all languages', 'wpdiscuz-translate'); ?>" /> 
                    </td>
                </tr>
                <tr valign="top">
                    <th colspan="2">
                        <span class="wpdiscuz-option-title"><?php _e('Original', 'wpdiscuz-translate'); ?></span>
                    </th>
                    <td>
                        <input type="text" style="padding: 3px 5px;" value="<?php echo phrases('Original'); ?>"  name="tr_original" placeholder="<?php _e('Original', 'wpdiscuz-translate'); ?>" /> 
                    </td>
                </tr>
                <tr valign="top">
                    <th colspan="2">
                        <span class="wpdiscuz-option-title"><?php _e('Translate into', 'wpdiscuz-translate'); ?></span>
                    </th>
                    <td>
                        <input type="text" style="padding: 3px 5px;" value="<?php echo phrases('Translate into'); ?>"  name="tr_translate_into" placeholder="<?php _e('Translate into', 'wpdiscuz-translate'); ?>" /> 
                    </td>
                </tr>
                <tr valign="top">
                    <th colspan="2">
                        <span class="wpdiscuz-option-title"><?php _e("Can't translate", 'wpdiscuz-translate'); ?></span>
                    </th>
                    <td>
                        <input type="text" style="padding: 3px 5px;" value="<?php echo phrases("Can't translate"); ?>"  name="tr_cant_translate" placeholder="<?php _e("Can't translate", 'wpdiscuz-translate'); ?>" /> 
                    </td>
                </tr>
                <tr valign="top">
                    <th colspan="2">
                        <span class="wpdiscuz-option-title"><?php _e("Can't translate this comment", 'wpdiscuz-translate'); ?></span>
                    </th>
                    <td>
                        <input type="text" style="padding: 3px 5px;" value="<?php echo phrases("Can't translate this comment"); ?>"  name="tr_cant_translate_the_comment" placeholder="<?php _e("Can't translate this comment", 'wpdiscuz-translate'); ?>" /> 
                    </td>
                </tr>
                <tr valign="top">
                    <th colspan="2">
                        <span class="wpdiscuz-option-title"><?php _e('The original comment in', 'wpdiscuz-translate'); ?></span>
                    </th>
                    <td>
                        <input type="text" style="padding: 3px 5px;" value="<?php echo phrases('The original comment in'); ?>"  name="tr_the_original_comment_in" placeholder="<?php _e('The original comment in', 'wpdiscuz-translate'); ?>" /> 
                    </td>
                </tr>
                <tr valign="top">
                    <td colspan="3">
                        <a href="<?php echo admin_url(); ?>edit-comments.php?page=wpdiscuz_options_page&trns_options=empty_database&_trns_nonce=<?php echo wp_create_nonce('trns-nonce'); ?>" class="button"><?php _e('Remove All Translated Comments', 'wpdiscuz-translate'); ?></a>
                    </td>
                </tr>
                <tr valign="top">
                    <td colspan="3">
                        <a href="<?php echo admin_url(); ?>edit-comments.php?page=wpdiscuz_options_page&trns_options=reset&_trns_nonce=<?php echo wp_create_nonce('trns-nonce'); ?>" class="button"><?php _e('Reset Translate Options', 'wpdiscuz-translate'); ?></a>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>