jQuery(document).ready(function ($) {
    var moveToPost = 0;
    var femXHR = 0;
    var lastCommentID = '';

    $('body').click(function () {
        $('.wpdiscuz-fem-moderation').removeClass('wpdiscuz-fem-show');
    });

    $(document).delegate('.wpdiscuz-fem-moderate-comment', 'click', function () {
        var currentObj = $(this);
        var commentID = getCommentID(currentObj);
        if (currentObj.next('.wpdiscuz-fem-moderation').length) {
            showModerationButtons(currentObj, commentID);
        } else {
            var ajaxObj = ajaxFunction({commentID: commentID, action: 'wfem_get_buttons'});
            ajaxObj.done(function (res) {
                try {
                    res = JSON.parse(res);
                    if (res.success) {
                        currentObj.next('.wpdiscuz-fem-moderation').remove();
                        $(res.message).insertAfter(currentObj);
                        showModerationButtons(currentObj, commentID);
                    } else {
                        wpdiscuzAjaxObj.setCommentMessage(currentObj, res.class, res.message, false);
                    }
                    $('.wpdiscuz-loading-bar').hide();
                } catch (e) {
                    console.log(e);
                }
            });
        }
    });

    $(document).delegate('.wpdiscuz-fem-button', 'click', function () {
        $(this).parents('.wpdiscuz-fem-moderation').removeClass('wpdiscuz-fem-show');
    });

    $(document).delegate('.wpdiscuz-fem-approve-comment', 'click', function () {
        var currentObject = $(this);
        var commentID = getCommentID(currentObject);
        if (true === confirm(wpdiscuzAjaxObj.wpdiscuz_options.confirm_approve)) {
            var ajaxObj = ajaxFunction({commentID: commentID, action: 'wfem_moderate', status: 'approve'});
            ajaxObj.done(function (res) {
                try {
                    var res = JSON.parse(res);
                    var parentObj = currentObject.parents('.wpdiscuz-fem-moderate-comments');
                    if (res.success) {
                        parentObj.children('.wpdiscuz-fem-moderation').remove();
                        parentObj.append(res.buttons);
                        $('div[id^=wc-comm-' + commentID + ']').removeClass('wc-unapproved');
                        $('div[id^=comment-' + commentID + ']').find('.wc_held_for_moderate').remove();
                    }
                    wpdiscuzAjaxObj.setCommentMessage(parentObj, res.class, res.message, false);
                    $('.wpdiscuz-loading-bar').hide();
                } catch (e) {
                    console.log(e);
                }
            });
        }
    });

    $(document).delegate('.wpdiscuz-fem-unapprove-comment', 'click', function () {
        var currentObject = $(this);
        var commentID = getCommentID(currentObject);
        if (true === confirm(wpdiscuzAjaxObj.wpdiscuz_options.confirm_unapprove)) {
            var ajaxObj = ajaxFunction({commentID: commentID, action: 'wfem_moderate', status: 'hold'});
            ajaxObj.done(function (res) {
                try {
                    var res = JSON.parse(res);
                    var parentObj = currentObject.parents('.wpdiscuz-fem-moderate-comments');
                    if (res.success) {
                        parentObj.children('.wpdiscuz-fem-moderation').remove();
                        parentObj.append(res.buttons);
                        $('div[id^=wc-comm-' + commentID + ']').addClass('wc-unapproved');
                    }
                    wpdiscuzAjaxObj.setCommentMessage(parentObj, res.class, res.message, false);
                    $('.wpdiscuz-loading-bar').hide();
                } catch (e) {
                    console.log(e);
                }
            });
        }
    });

    $(document).delegate('.wpdiscuz-fem-trash-comment', 'click', function () {
        var currentObject = $(this);
        var commentID = getCommentID(currentObject);
        if (true === confirm(wpdiscuzAjaxObj.wpdiscuz_options.confirm_trash)) {
            var ajaxObj = ajaxFunction({commentID: commentID, action: 'wfem_moderate', status: 'trash'});
            ajaxObj.done(function (res) {
                try {
                    var res = JSON.parse(res);
                    if (res.success) {
                        $('div[id^=wc-comm-' + commentID + ']').slideUp(1000, function () {
                            $(this).remove();
                        });
                    } else {
                        wpdiscuzAjaxObj.setCommentMessage(currentObject, res.class, res.message, false);
                    }
                    $('.wpdiscuz-loading-bar').hide();
                } catch (e) {
                    console.log(e);
                }
            });
        }
    });

    $(document).delegate('.wpdiscuz-fem-spam-comment', 'click', function () {
        var currentObject = $(this);
        var commentID = getCommentID(currentObject);
        if (true === confirm(wpdiscuzAjaxObj.wpdiscuz_options.confirm_spam)) {
            var ajaxObj = ajaxFunction({commentID: commentID, action: 'wfem_moderate', status: 'spam'});
            ajaxObj.done(function (res) {
                try {
                    var res = JSON.parse(res);
                    if (res.success) {
                        $('div[id^=wc-comm-' + commentID + ']').slideUp(1000, function () {
                            $(this).remove();
                        });
                    } else {
                        wpdiscuzAjaxObj.setCommentMessage(currentObject, res.class, res.message, false);
                    }
                    $('.wpdiscuz-loading-bar').hide();
                } catch (e) {
                    console.log(e);
                }
            });
        }
    });

    $(document).delegate('.wpdiscuz-fem-email-comment', 'click', function () {
        var commentID = getCommentID($(this));
        var commentAuthor = $(this).parents('div[id^=comment-]').find('.wc-comment-author').text();
        commentAuthor = commentAuthor.length <= 25 ? commentAuthor : commentAuthor.substring(0, 25) + '...';
        $('.wpdiscuz-fem-email-form').find('em').text(commentAuthor);
        $('.wpdiscuz-fem-email-form').find('#wpdiscuz_fem_email_comment_id').val(commentID);
        $('.wpdiscuz-fem-email').show();
        $('.wpdiscuz-fem-email-form').show();
    });

    $(document).delegate('.wpdiscuz-fem-send', 'click', function () {
        var commentID = $('#wpdiscuz_fem_email_comment_id').val();
        var message = $('.wpdiscuz-fem-msg').val();
        var subject = $('.wpdiscuz-fem-subj').val();
        if (commentID && message) {
            $('.wpdiscuz-fem-email-form').children('#wpdiscuz-fem-not').remove();
            var ajaxObj = ajaxFunction({commentID: commentID, action: 'wfem_email', subject: subject, message: message});
            ajaxObj.done(function (res) {
                $('#wpdiscuz-fem-not').remove();
                $('.wpdiscuz-fem-email').show();
                $('.wpdiscuz-fem-email-form').hide();
                $('.wpdiscuz-fem-response').remove();
                $('.wpdiscuz-fem-email').append(res);
                $('.wpdiscuz-loading-bar').hide();
            });
        } else {
            $('.wpdiscuz-fem-email-form').children('#wpdiscuz-fem-not').remove();
            $('.wpdiscuz-fem-email-form').append('<div id="wpdiscuz-fem-not">' + wpdiscuzAjaxObj.wpdiscuz_options.please_fill + '</div>');
        }
    });

    $('.wpdiscuz-fem-post').keyup(function () {
        var postsLike = $('.wpdiscuz-fem-post').val();
        if (femXHR != 0) {
            femXHR.abort();
            femXHR = 0;
        }
        $('.wpdiscuz-loading-bar').hide();
        if (postsLike.length > 2) {
            femXHR = ajaxFunction({commentPostID: wpdiscuzAjaxObj.wpdiscuz_options.wc_post_id, action: 'wfem_post_titles', postsLike: postsLike});
            femXHR.done(function (res) {
                if (res) {
                    $('.wpdiscuz-fem-posts').show();
                    $('.wpdiscuz-fem-posts').empty();
                    $('.wpdiscuz-fem-posts').append(res);
                } else {
                    $('.wpdiscuz-fem-posts').hide();
                    $('.wpdiscuz-fem-posts').empty();
                }
                $('.wpdiscuz-loading-bar').hide();
            });
        } else {
            $('.wpdiscuz-fem-posts').hide();
            $('.wpdiscuz-fem-posts').empty();
        }
    });

    $(document).delegate('.wpdiscuz-fem-move-comment', 'click', function () {
        var commentID = getCommentID($(this));
        var comment = $(this).parents('div[id^=comment-]').find('.wc-comment-text p[class!=wc_held_for_moderate]').text();
        comment = comment.length <= 200 ? comment : comment.substring(0, 200) + '...';
        $('.wpdiscuz-fem-move-form').find('em').text(comment);
        $('.wpdiscuz-fem-move-form').find('#wpdiscuz_fem_move_comment_id').val(commentID);
        $('.wpdiscuz-fem-moving').show();
        $('.wpdiscuz-fem-move-form').show();
    });

    $('.wpdiscuz-fem-move-form').click(function () {
        $('.wpdiscuz-fem-posts').hide();
        $('.wpdiscuz-fem-posts').empty();
    });

    $(document).delegate('div[id^=fem-post-]', 'click', function () {
        var current = $(this).attr('id');
        var text = $(this).text();
        moveToPost = parseInt(current.substring(current.lastIndexOf('-') + 1));
        $('.wpdiscuz-fem-posts').hide();
        $('.wpdiscuz-fem-posts').empty();
        $('.wpdiscuz-fem-post').val(text);
    });

    $(document).delegate('.wpdiscuz-fem-move', 'click', function () {
        if (moveToPost) {
            var commentID = $('#wpdiscuz_fem_move_comment_id').val();
            $('.wpdiscuz-fem-move-form').children('#wpdiscuz-fem-not').remove();
            $('.wpdiscuz-fem-posts').hide();
            var ajaxObj = ajaxFunction({commentID: commentID, action: 'wfem_move_comment', moveToPost: moveToPost});
            ajaxObj.done(function (res) {
                $('#wpdiscuz-fem-not').remove();
                $('.wpdiscuz-fem-moving').show();
                $('.wpdiscuz-fem-move-form').hide();
                $('.wpdiscuz-fem-response').remove();
                $('.wpdiscuz-fem-moving').append(res);
                $('div[id^=wc-comm-' + commentID + ']').slideUp(1000, function () {
                    $(this).remove();
                });
                $('.wpdiscuz-loading-bar').hide();
            });
        } else {
            $('.wpdiscuz-fem-move-form').children('#wpdiscuz-fem-not').remove();
            $('.wpdiscuz-fem-move-form').append('<div id="wpdiscuz-fem-not">' + wpdiscuzAjaxObj.wpdiscuz_options.choose_post + '</div>');
        }
    });

    $(document).delegate('.wpdiscuz-fem-blacklist-comment', 'click', function () {
        var currentObject = $(this);
        var commentID = getCommentID(currentObject);
        if (true === confirm(wpdiscuzAjaxObj.wpdiscuz_options.confirm_blacklist)) {
            var ajaxObj = ajaxFunction({commentID: commentID, action: 'wfem_blacklist'});
            ajaxObj.done(function (res) {
                try {
                    var res = JSON.parse(res);
                    if (res.success) {
                        $('div[id^=wc-comm-' + commentID + ']').slideUp(1000, function () {
                            $(this).remove();
                        });
                    } else {
                        wpdiscuzAjaxObj.setCommentMessage(currentObject, res.class, res.message, false);
                    }
                    $('.wpdiscuz-loading-bar').hide();
                } catch (e) {
                    console.log(e);
                }
            });
        }
    });

    $(document).delegate('.wpdiscuz-fem-delete-comment, .wpdiscuz-fem-delete-comment-not-admin', 'click', function () {
        var currentObject = $(this);
        var commentID = getCommentID(currentObject);
        if (true === confirm(wpdiscuzAjaxObj.wpdiscuz_options.confirm_delete)) {
            var ajaxObj = ajaxFunction({commentID: commentID, action: 'wfem_delete', status: 'delete'});
            ajaxObj.done(function (res) {
                try {
                    var res = JSON.parse(res);
                    if (res.success) {
                        $('div[id^=wc-comm-' + commentID + ']').slideUp(1000, function () {
                            $(this).remove();
                        });
                    } else {
                        wpdiscuzAjaxObj.setCommentMessage(currentObject, res.class, res.message, false);
                    }
                    $('.wpdiscuz-loading-bar').hide();
                } catch (e) {
                    console.log(e);
                }
            });
        }
    });

    $(document).delegate('.wpdiscuz-fem-moving, .wpdiscuz-fem-email, .fa-times, .wpdiscuz-fem-ok', 'click', function () {
        $('.wpdiscuz-fem-response, #wpdiscuz-fem-not').remove();
        $('.wpdiscuz-fem-moving, .wpdiscuz-fem-move-form, .wpdiscuz-fem-email-form, .wpdiscuz-fem-posts, .wpdiscuz-fem-email, .wpdiscuz-loading-bar').hide();
        moveToPost = 0;
        $('.wpdiscuz-fem-email-form, .wpdiscuz-fem-move-form').children('#wpdiscuz-fem-not').remove();
        $('.wpdiscuz-fem-email-form').find('em').empty();
        $('.wpdiscuz-fem-msg, .wpdiscuz-fem-subj, .wpdiscuz-fem-post, #wpdiscuz_fem_email_comment_id, #wpdiscuz_fem_move_comment_id').val('');
    });

    function getCommentID(obj) {
        var ID = obj.parents('div[id^=comment-]').attr('id');
        return ID.substring(ID.lastIndexOf('-') + 1);
    }

    function showModerationButtons(currentObj, commentID) {
        var femButtonsWrapper = currentObj.next('.wpdiscuz-fem-moderation');
        femButtonsWrapper.addClass('wpdiscuz-fem-show');
        var windowHeight = $(window).height();
        var scrollTop = $(window).scrollTop();
        var elementOffset = currentObj.offset().top;
        var distance = (elementOffset - scrollTop);
        var height = femButtonsWrapper.height();
        lastCommentID = $('.search-result').find('div[id^=wc-comm-]').last().attr('id') || $('#wcThreadWrapper').find('div[id^=wc-comm-]').last().attr('id');
        if (windowHeight - distance - height < 0 || $('#comment-' + commentID).parent().attr('id') == lastCommentID) {
            femButtonsWrapper.css('top', '-193px');
            height += 9;
            var heightNoBorder = height - 2;
            femButtonsWrapper.children('.wpdiscuz-fem-arrow').css({'transform': 'rotate(180deg) translateY(-' + height + 'px)'});
            femButtonsWrapper.children('.wpdiscuz-fem-arrow-no-border').css({'transform': 'rotate(180deg) translateY(-' + heightNoBorder + 'px)'});
        } else {
            femButtonsWrapper.css('top', '25px');
            femButtonsWrapper.children('.wpdiscuz-fem-arrow').css({'transform': 'none', 'top': '-9px'});
            femButtonsWrapper.children('.wpdiscuz-fem-arrow-no-border').css({'transform': 'none', 'top': '-8px'});
        }
    }

    function ajaxFunction(data) {
        $('.wpdiscuz-loading-bar').show();
        return $.ajax({
            type: 'POST',
            url: wpdiscuzAjaxObj.url,
            data: data
        });
    }

});