jQuery(document).ready(function ($) {
    if ($('#wmuAttachMultiple').is(':checked')) {
        $('.tr-wmuMaxFileCount').show();
    } else {
        $('.tr-wmuMaxFileCount').hide();
    }

    $('.wmuAttachMethod').change(function () {
        if ($('#wmuAttachMultiple').is(':checked')) {
            $('.tr-wmuMaxFileCount').show();
        } else {
            $('.tr-wmuMaxFileCount').hide();
        }
    });

    if ($('#wmuIsEmbed').is(':checked')) {
        $('.tr-wmuIsEmbedContent').show();
    } else {
        $('.tr-wmuIsEmbedContent').hide();
    }

    $('#wmuIsEmbed').change(function () {
        if ($('#wmuIsEmbed').is(':checked')) {
            $('.tr-wmuIsEmbedContent').show();
        } else {
            $('.tr-wmuIsEmbedContent').hide();
        }
    });

    $(document).delegate('.wmu-attachment-delete', 'click', function (e) {
        if (confirm(wmuJsObj.confirmDelete)) {
            $('.wpdiscuz-loading-bar').show();
            var data = new FormData();
            var clicked = $(this);
            var attachmentId = getAttachmentId(clicked);
            var parentAttrId = clicked.parents('tr.comment').attr('id');
            var commentId = parentAttrId.substring(parentAttrId.lastIndexOf('-') + 1);
            var key = '';
            if (clicked.hasClass('wmu-delete-image')) {
                key = 'image';
            } else if (clicked.hasClass('wmu-delete-video')) {
                key = 'video';
            } else {
                key = 'file';
            }
            if (attachmentId > 0) {
                data.append('action', 'removeAttachment');
                data.append('commentId', commentId);
                data.append('attachmentId', attachmentId);
                data.append('metaKey', key);
                $.ajax({
                    type: 'POST',
                    url: wmuJsObj.url,
                    data: data,
                    contentType: false,
                    processData: false,
                }).done(function (response) {
                    try {
                        var obj = $.parseJSON(response);
                        if (obj != null && obj != '' && obj.id > 0) {
                            $('.wmu-attachment-' + obj.id).remove();
                        }
                    } catch (e) {
                        console.log(e);
                    }
                    $('.wpdiscuz-loading-bar').hide();
                });
            } else {
                console.log('Cannot get attachment id');
            }
        } else {
            console.log('canceled');
        }
    });

    function getAttachmentId(clicked) {
        var matches = clicked.attr('id').match(/wmu\-attach\-remove\-(\d+)/);
        var attachmentId = 0;
        if (matches !== null) {
            attachmentId = matches[1];
        }
        return attachmentId;
    }

    if (wmuJsObj.wmuIsLightbox == 1) {
        $(".wmu-attached-image-link").colorbox({
            maxHeight: "95%",
            rel: 'wmu-attached-image-link'
        });
    }
});
function wmuImagesInit() {
    var imgDefer = document.getElementsByTagName('img');
    for (var i = 0; i < imgDefer.length; i++) {
        if (imgDefer[i].getAttribute('wmu-data-src')) {
            imgDefer[i].setAttribute('src', imgDefer[i].getAttribute('wmu-data-src'));
        }
    }
}
window.onload = wmuImagesInit;