jQuery(document).ready(function ($) {
    var type = '';
    $('.wmu_reset').val("");
    wmuLightBox();

    $(document).delegate('.wmu-add', 'click', function () {
        type = $(this).children('.wmu-type').val();
    });

    $(document).delegate('.wmu-image', 'change', function () {
        var clicked = $(this);
        var parent = clicked.parents('.wc_comm_form');
        var preview = $('.wmu-preview-image', parent);
        var uniqueId = parent.find('.wpdiscuz_unique_id').val();
        var canvas = $('#image-' + uniqueId + '-canvas-0').get(0);
        var info = $('.wmu-preview-image .wmu-preview-remove .wmu-file-name', parent);
        var img = $('img', preview);
        var files = clicked[0].files ? clicked[0].files : [];
        var name = files[0].name;
        if (files.length) {
            $('.wmu-' + type + '-tab').addClass('wmu-show');
            preview.addClass('wmu-show');
            preview.attr('title', name);
            if (name.length > 30) {
                name = '...' + name.slice(-30);
            }
            info.html(name);
            if (window.FileReader) {
                var reader = new FileReader();
                reader.readAsDataURL(files[0]);
                reader.onloadend = function () {
                    $(img).attr('src', this.result);
                    EXIF.getData(files[0], function () {
                        var image = img.get(0);
                        wmuOrientation(image, canvas);
                    });
                }
            } else {
                $(img).replaceWith('<div class="wmu-filreader-not-exist">' + files[0].name + '</div>');
            }
        } else {
            return;
        }
    });

    $(document).delegate('.wmu-video', 'change', function () {
        var clicked = $(this);
        var parent = clicked.parents('.wc_comm_form');
        var preview = $('.wmu-preview-video', parent);
        var info = $('.wmu-preview-video .wmu-preview-remove .wmu-file-name', parent);
        var img = $('img', preview);
        var files = clicked[0].files ? clicked[0].files : [];
        var name = files[0].name;
        if (files.length) {
            $(img).attr('src', wpdiscuzAjaxObj.wpdiscuz_options.iconVideoAudio);
            $('.wmu-' + type + '-tab').addClass('wmu-show');
            preview.addClass('wmu-show');
            preview.attr('title', name);
            if (name.length > 30) {
                name = '...' + name.slice(-30);
            }
            info.html(name);
        } else {
            return;
        }
    });

    $(document).delegate('.wmu-file', 'change', function () {
        var clicked = $(this);
        var parent = clicked.parents('.wc_comm_form');
        var preview = $('.wmu-preview-file', parent);
        var info = $('.wmu-preview-file .wmu-preview-remove .wmu-file-name', parent);
        var img = $('img', preview);
        var files = clicked[0].files ? clicked[0].files : [];
        var name = files[0].name;
        if (files.length) {
            $('.wmu-' + type + '-tab').addClass('wmu-show');
            preview.addClass('wmu-show');
            preview.attr('title', name);
            img.attr('src', wpdiscuzAjaxObj.wpdiscuz_options.iconFile);
            if (name.length > 30) {
                name = '...' + name.slice(-30);
            }
            info.html(name);
        } else {
            return;
        }
    });

    $(document).delegate('.wmu-attachment-delete', 'click', function (e) {
        if (confirm(wpdiscuzAjaxObj.wpdiscuz_options.confirmDelete)) {
            $('.wpdiscuz-loading-bar').show();
            var data = new FormData();
            var clicked = $(this);
            var attachmentId = getAttachmentId(clicked);
            var parentAttrId = clicked.parents('.wc-comment-right').attr('id');
            var commentId = parentAttrId.substring(parentAttrId.lastIndexOf('-') + 1);
            var key = '';
            if (clicked.hasClass('wmu-delete-image')) {
                key = 'image';
            } else if (clicked.hasClass('wmu-delete-video')) {
                key = 'video';
            } else {
                key = 'file';
            }
            if (attachmentId > 0) {
                data.append('action', 'removeAttachment');
                data.append('commentId', commentId);
                data.append('attachmentId', attachmentId);
                data.append('metaKey', key);
                $.ajax({
                    type: 'POST',
                    url: wpdiscuzAjaxObj.url,
                    data: data,
                    contentType: false,
                    processData: false,
                }).done(function (response) {
                    try {
                        var obj = $.parseJSON(response);
                        if (obj != null && obj != '' && obj.id > 0) {
                            $('.wmu-attachment-' + obj.id).remove();
                        }
                    } catch (e) {
                        console.log(e);
                    }
                    $('.wpdiscuz-loading-bar').hide();
                });
            } else {
                console.log('Cannot get attachment id');
            }
        } else {
            console.log('canceled');
        }
    });

    $(document).delegate('.wmu-preview', 'click', function () {
        var type = '';
        var clicked = $(this);
        var parent = clicked.parents('.wc_comm_form');
        if (clicked.hasClass('wmu-preview-image')) {
            type = 'image';
        } else if (clicked.hasClass('wmu-preview-video')) {
            type = 'video';
        } else {
            type = 'file';
        }
        var uniqueId = $(clicked).parents('form').find('.wpdiscuz_unique_id').val();
        var input = $('.wmu-' + type, parent);
        $('img', clicked).attr('src', '');
        clicked.removeClass('wmu-show');
        input.replaceWith('<input id="wmu-' + uniqueId + '-' + type + '-0' + '" class="wmu-' + type + ' wmu_reset wmu-hide" type="file" name="wmu_' + type + '[]"/>');
    });

    function getAttachmentId(clicked) {
        var matches = clicked.attr('id').match(/wmu\-attach\-remove\-(\d+)/);
        var attachmentId = 0;
        if (matches !== null) {
            attachmentId = matches[1];
        }
        return attachmentId;
    }

    wpdiscuzAjaxObj.wmuAddLightBox = function () {
        if (wpdiscuzAjaxObj.wpdiscuz_options.wmuIsLightbox == 1) {
            $(".wmu-attached-image-link").colorbox({
                maxHeight: "95%",
                maxWidth: "95%",
                rel: 'wmu-attached-image-link'
            });
        }
    }

    wpdiscuzAjaxObj.wmuHideAll = function (code, wcForm) {
        var key = parseInt(code);
        if (key >= 0) {
            $('.wmu-tabs', wcForm).removeClass('wmu-show');
            $('.wmu-preview', wcForm).removeClass('wmu-show');
            $('.wmu-preview img', wcForm).attr('src', '');
            $.each($('.wmu-add', wcForm), function () {
                if (!($(this).hasClass('wmu-show'))) {
                    $(this).addClass('wmu-show');
                }
            });
            $('.wmu_reset', wcForm).val("");
            $('.wmu-multiple', wcForm).removeClass('wmu-active');
            wmuLightBox();
        } else {
            console.log('error occured while posting comment');
        }
    }

    if (wpdiscuzAjaxObj.wpdiscuz_options.wmuLazyLoadImages) {
        wpdiscuzAjaxObj.wmuImagesInit = function () {
            var imgDefer = $('img');
            for (var i = 0; i < imgDefer.length; i++) {
                var wmuImg = $(imgDefer[i]);
                var wmuSrcAttr = wmuImg.attr('wmu-data-src');
                if (wmuSrcAttr) {
                    wmuImg.attr('src', wmuSrcAttr);
                }
            }
        }
    }

    function wmuLightBox() {
        if (wpdiscuzAjaxObj.wpdiscuz_options.wmuIsLightbox == 1) {
            $(".wmu-attached-image-link").colorbox({
                maxHeight: "95%",
                maxWidth: "95%",
                rel: 'wmu-attached-image-link'
            });
        }
    }

    if (wpdiscuzAjaxObj.wpdiscuz_options.wmuLazyLoadImages) {
        function wmuImagesInit() {
            var imgDefer = $('img');
            for (var i = 0; i < imgDefer.length; i++) {
                var wmuImg = $(imgDefer[i]);
                var wmuSrcAttr = wmuImg.attr('wmu-data-src');
                if (wmuSrcAttr) {
                    wmuImg.attr('src', wmuSrcAttr);
                }
            }
        }
        wmuImagesInit();
    }

    function wmuOrientation(img, canvas) {
        var ctx = canvas.getContext("2d");
        var exifOrientation = '';
        var width = img.width;
        var height = img.height;

//        console.log('width: ' + width);
//        console.log('height: ' + height);
        EXIF.getData(img, function () {
            var allMetaData = EXIF.getAllTags(this);
            exifOrientation = allMetaData.Orientation;
        });

        if (jQuery.inArray(exifOrientation, [5, 6, 7, 8]) > -1) {
            canvas.width = height;
            canvas.height = width;
        } else {
            canvas.width = width;
            canvas.height = height;
        }

        switch (exifOrientation) {
            case 2:
                ctx.transform(-1, 0, 0, 1, width, 0);
                break;
            case 3:
                ctx.transform(-1, 0, 0, -1, width, height);
                break;
            case 4:
                ctx.transform(1, 0, 0, -1, 0, height);
                break;
            case 5:
                ctx.transform(0, 1, 1, 0, 0, 0);
                break;
            case 6:
                ctx.transform(0, 1, -1, 0, height, 0);
                break;
            case 7:
                ctx.transform(0, -1, -1, 0, height, width);
                break;
            case 8:
                ctx.transform(0, -1, 1, 0, 0, width);
                break;
            default:
                ctx.transform(1, 0, 0, 1, 0, 0);
        }

        ctx.drawImage(img, 0, 0, width, height);

    }
});