<?php

if (!defined('ABSPATH')) {
    exit();
}

class WMUOptions {

    private $optionsSerialized;

    public function __construct($optionsSerialized) {
        $this->optionsSerialized = $optionsSerialized;
    }

    public function tabTitle() {
        echo '<li>' . __('Uploader', 'wpdiscuz-media-uploader') . '</li>';
    }

    public function tabContent() {
        include_once 'settings-general.php';
    }

    public function saveOptions() {
        $this->optionsSerialized->wmuAllowedPostTypes = isset($_POST['wmuAllowedPostTypes']) ? $_POST['wmuAllowedPostTypes'] : array();
        $this->optionsSerialized->wmuAllowedRoles = isset($_POST['wmuAllowedRoles']) ? $_POST['wmuAllowedRoles'] : array();
        $this->optionsSerialized->wmuIsImagesAllowed = isset($_POST['wmuIsImagesAllowed']) ? $_POST['wmuIsImagesAllowed'] : 0;
        $this->optionsSerialized->wmuIsVideosAllowed = isset($_POST['wmuIsVideosAllowed']) ? $_POST['wmuIsVideosAllowed'] : 0;
        $this->optionsSerialized->wmuIsFilesAllowed = isset($_POST['wmuIsFilesAllowed']) ? $_POST['wmuIsFilesAllowed'] : 0;
        $this->optionsSerialized->wmuIsEmbed = isset($_POST['wmuIsEmbed']) ? $_POST['wmuIsEmbed'] : 0;
        $this->optionsSerialized->wmuIsEmbedContent = isset($_POST['wmuIsEmbedContent']) ? $_POST['wmuIsEmbedContent'] : 0;
        $this->optionsSerialized->wmuIsGuestAllowed = isset($_POST['wmuIsGuestAllowed']) ? $_POST['wmuIsGuestAllowed'] : 0;
        $this->optionsSerialized->wmuIsHtml5Video = isset($_POST['wmuIsHtml5Video']) ? $_POST['wmuIsHtml5Video'] : 0;
        $this->optionsSerialized->wmuIsHtml5Audio = isset($_POST['wmuIsHtml5Audio']) ? $_POST['wmuIsHtml5Audio'] : 0;
        $this->optionsSerialized->wmuIsLightbox = isset($_POST['wmuIsLightbox']) ? $_POST['wmuIsLightbox'] : 0;
        $this->optionsSerialized->wmuIsMultiple = isset($_POST['wmuIsMultiple']) ? $_POST['wmuIsMultiple'] : 0;
        $this->optionsSerialized->wmuMaxFileCount = isset($_POST['wmuMaxFileCount']) && ($v = absint(intval($_POST['wmuMaxFileCount']))) ? $v : 3;
        $this->optionsSerialized->wmuMaxFileSize = isset($_POST['wmuMaxFileSize']) && ($maxFS = absint($_POST['wmuMaxFileSize'])) && ($uploadMaxFS = absint($this->optionsSerialized->wmuUploadMaxFileSize)) && $maxFS <= $uploadMaxFS ? $maxFS : $uploadMaxFS;
        $this->optionsSerialized->wmuVideoWidth = isset($_POST['wmuVideoWidth']) && ($v = absint($_POST['wmuVideoWidth'])) ? $v : 320;
        $this->optionsSerialized->wmuVideoHeight = isset($_POST['wmuVideoHeight']) && ($v = absint($_POST['wmuVideoHeight'])) ? $v : 200;
        $this->optionsSerialized->wmuEmbedVideoWidth = isset($_POST['wmuEmbedVideoWidth']) && ($v = absint($_POST['wmuEmbedVideoWidth'])) ? $v : 400;
        $this->optionsSerialized->wmuEmbedVideoHeight = isset($_POST['wmuEmbedVideoHeight']) && ($v = absint($_POST['wmuEmbedVideoHeight'])) ? $v : 300;
        $this->optionsSerialized->wmuSingleImageWidth = isset($_POST['wmuSingleImageWidth']) && ($v = absint($_POST['wmuSingleImageWidth'])) ? $v : 320;
        $this->optionsSerialized->wmuSingleImageHeight = isset($_POST['wmuSingleImageHeight']) && ($v = absint($_POST['wmuSingleImageHeight'])) ? $v : 200;
        $this->optionsSerialized->wmuImageWidth = isset($_POST['wmuImageWidth']) && ($v = absint($_POST['wmuImageWidth'])) ? $v : 90;
        $this->optionsSerialized->wmuImageHeight = isset($_POST['wmuImageHeight']) && ($v = absint($_POST['wmuImageHeight'])) ? $v : 90;
        $this->optionsSerialized->wmuIsShowFilesDashboard = isset($_POST['wmuIsShowFilesDashboard']) ? $_POST['wmuIsShowFilesDashboard'] : 0;
        $this->optionsSerialized->wmuPhrases = isset($_POST['wmuPhrases']) && is_array($_POST['wmuPhrases']) ? $_POST['wmuPhrases'] : $this->optionsSerialized->getDefaultPhrases();
        $this->optionsSerialized->wmuImageSizes = isset($_POST['wmuImageSizes']) && is_array($_POST['wmuImageSizes']) && ($sizes = array_filter($_POST['wmuImageSizes'])) ? $sizes : array();
        $this->optionsSerialized->wmuLazyLoadImages = isset($_POST['wmuLazyLoadImages']) && ($lazyLoad = intval($_POST['wmuLazyLoadImages'])) ? $lazyLoad : 0;
        $this->optionsSerialized->wmuAttachToPost = isset($_POST['wmuAttachToPost']) && ($attachToPost = intval($_POST['wmuAttachToPost'])) ? $attachToPost : 0;
        $this->optionsSerialized->updateOptions();
    }

}
