<?php
if (!defined('ABSPATH')) {
    exit();
}
?>
<div style="width:100%;">
    <h3 style="padding:5px 10px 10px 10px; margin:0px; text-align:right; border-bottom:1px solid #ddd; max-width:240px; margin:0px 0px 20px auto; font-weight:normal;"><?php _e('Media Uploader Settings', 'wpdiscuz_sm'); ?></h3>
    <table class="widefat wpdiscuz-mu" style="margin-top:10px; border:none; width:100%;">
        <tbody>
            <tr scope="row">
                <th valign="top" style="width:42%;"><?php _e("Post types supports uploading:", 'wpdiscuz-media-uploader'); ?></th>
                <td>
                    <?php
                    $postTypes = get_post_types();
                    foreach ($postTypes as $postType) {
                        if (post_type_supports($postType, 'comments')) {
                            ?>
                            <div class="wmu-block">
                                <input type="checkbox" <?php checked(in_array($postType, $this->optionsSerialized->wmuAllowedPostTypes) == true); ?> value="<?php echo $postType; ?>" name="wmuAllowedPostTypes[]" id="wmu<?php echo $postType; ?>" style="margin:0px; vertical-align: middle;" />
                                <label for="wmu<?php echo $postType; ?>" style="white-space:nowrap; font-size:13px;"><?php echo $postType; ?></label>
                            </div>
                            <?php
                        }
                    }
                    ?>                    
                </td>
            </tr>
            <tr scope="row">
                <th valign="top" style="width:42%;"><?php _e("User roles allowed to upload files:", 'wpdiscuz-media-uploader'); ?></th>
                <td>
                    <?php
                    $blogRoles = get_editable_roles();
                    foreach ($blogRoles as $role => $info) {
                        ?>
                        <div class="wmu-block">
                            <input type="checkbox" <?php checked(in_array($role, $this->optionsSerialized->wmuAllowedRoles) == true); ?> value="<?php echo $role; ?>" name="wmuAllowedRoles[]" id="wmu<?php echo $role; ?>" style="margin:0px; vertical-align: middle;" />
                            <label for="wmu<?php echo $role; ?>" style="white-space:nowrap; font-size:13px;"><?php echo $info['name']; ?></label>
                        </div>
                        <?php
                    }
                    ?>                    
                </td>
            </tr>
            <tr scope="row">
                <th><label for="wmuIsShowFilesDashboard"><?php _e('Show uploaded files in dashboard comments', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="checkbox" <?php checked($this->optionsSerialized->wmuIsShowFilesDashboard == 1); ?> value="1" name="wmuIsShowFilesDashboard" id="wmuIsShowFilesDashboard" /></td>
            </tr>
            <tr scope="row">
                <th><label for="wmuIsGuestAllowed"><?php _e('Allow guests to upload files', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="checkbox" <?php checked($this->optionsSerialized->wmuIsGuestAllowed == 1); ?> value="1" name="wmuIsGuestAllowed" id="wmuIsGuestAllowed" /></td>
            </tr>
            <tr scope="row">
                <th><label for="wmuIsImagesAllowed"><?php _e('Enable Image uploader', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="checkbox" <?php checked($this->optionsSerialized->wmuIsImagesAllowed == 1); ?> value="1" name="wmuIsImagesAllowed" id="wmuIsImagesAllowed" /> &nbsp; <img src="<?php echo plugins_url(WMU_DIR_NAME . '/assets/img/image.png') ?>" /></td>
            </tr>
            <tr scope="row">
                <th><label for="wmuIsVideosAllowed"><?php _e('Enable Video and Audio uploader', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="checkbox" <?php checked($this->optionsSerialized->wmuIsVideosAllowed == 1); ?> value="1" name="wmuIsVideosAllowed" id="wmuIsVideosAllowed" /> &nbsp; <img src="<?php echo plugins_url(WMU_DIR_NAME . '/assets/img/video.png') ?>" /></td>
            </tr>
            <tr scope="row">
                <th>
                    <label for="wmuIsFilesAllowed"><?php _e('Enable other files uploader', 'wpdiscuz-media-uploader'); ?></label>
                    <p style="font-size:13px; color:#999999; width:98%; padding-left:0px; margin-left:0px;"><?php _e('This uploader allows to attach non-image and non-video files like zip, doc, pdf, txt...', 'wpdiscuz-media-uploader'); ?></p>
                </th>
                <td><input type="checkbox" <?php checked($this->optionsSerialized->wmuIsFilesAllowed == 1); ?> value="1" name="wmuIsFilesAllowed" id="wmuIsFilesAllowed" /> &nbsp; <img src="<?php echo plugins_url(WMU_DIR_NAME . '/assets/img/file.png') ?>" /></td>
            </tr>
            <tr scope="row">
                <th>
                    <label for="wmuIsEmbed"><?php _e('Allow media embedding function', 'wpdiscuz-media-uploader'); ?></label>
                    <p style="font-size:13px; color:#999999; width:98%; padding-left:0px; margin-left:0px;"><?php _e('This is the auto-embed function which converts e.g. <strong>YouTube</strong> video URL to Embedded Player and so on...', 'wpdiscuz-media-uploader'); ?></p>
                </th>
                <td><input type="checkbox" <?php checked($this->optionsSerialized->wmuIsEmbed == 1); ?> value="1" name="wmuIsEmbed" id="wmuIsEmbed" /> &nbsp;&nbsp; <img src="<?php echo plugins_url(WMU_DIR_NAME . '/assets/img/options/html5-youtub-player.png') ?>" style="vertical-align:middle; height:65px;" title="Player Screenshot" /></td>
            </tr>
            <tr scope="row" class="tr-wmuIsEmbedContent">
                <th>
                    <label for="wmuIsEmbedContent"><?php _e('Allow content embedding function', 'wpdiscuz-media-uploader'); ?></label>
                    <p style="font-size:13px; color:#999999; width:98%; padding-left:0px; margin-left:0px;"><?php _e('This is the auto-embed function which converts site content', 'wpdiscuz-media-uploader'); ?></p>
                </th>
                <td><input type="checkbox" <?php checked($this->optionsSerialized->wmuIsEmbedContent == 1); ?> value="1" name="wmuIsEmbedContent" id="wmuIsEmbedContent" /> &nbsp;&nbsp; <img src="<?php echo plugins_url(WMU_DIR_NAME . '/assets/img/options/embedded-content.png') ?>" style="vertical-align:middle; height:250px;" title="Embedded Content Screenshot" /></td>
            </tr>
            <tr scope="row">
                <th>
                    <label for="wmuIsHtml5Video"><?php _e('Enable HTML5 video player', 'wpdiscuz-media-uploader'); ?></label>
                    <p style="font-size:13px; color:#999999; width:98%; padding-left:0px; margin-left:0px;"><?php _e("Uploaded video files will be added as a download link under comment text. However if file format is .mp4, .webm or .ogg, it'll convert link to HTML5 video player.", 'wpdiscuz-media-uploader'); ?></p>
                </th>
                <td><input type="checkbox" <?php checked($this->optionsSerialized->wmuIsHtml5Video == 1); ?> value="1" name="wmuIsHtml5Video" id="wmuIsHtml5Video" /> &nbsp; <img src="<?php echo plugins_url(WMU_DIR_NAME . '/assets/img/options/html5-video-player.png') ?>" style="vertical-align:middle; height:70px;" title="Player Screenshot" /></td></td>
            </tr>
            <tr scope="row">
                <th><label for="wmuIsHtml5Audio"><?php _e('Enable HTML5 audio player', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="checkbox" <?php checked($this->optionsSerialized->wmuIsHtml5Audio == 1); ?> value="1" name="wmuIsHtml5Audio" id="wmuIsHtml5Audio" /> &nbsp; <img src="<?php echo plugins_url(WMU_DIR_NAME . '/assets/img/options/html5-audio-player.png') ?>" style="vertical-align:middle;" title="Player Screenshot" /></td>
            </tr>
            <tr scope="row">
                <th><label for="wmuIsLightbox"><?php _e('Enable Lightbox for images', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="checkbox" <?php checked($this->optionsSerialized->wmuIsLightbox == 1); ?> value="1" name="wmuIsLightbox" id="wmuIsLightbox" /></td>
            </tr>
            <tr scope="row">
                <th><label><?php _e('File attachment mode', 'wpdiscuz-media-uploader'); ?></label></th>
                <td>
                    <fieldset>
                        <?php $wmuIsMultiple = $this->optionsSerialized->wmuIsMultiple; ?>
                        <label for="wmuAttachSingle"><input <?php checked($wmuIsMultiple == 0); ?> type="radio" value="0" id="wmuAttachSingle" class="wmuAttachSingle wmuAttachMethod" name="wmuIsMultiple" />&nbsp;&nbsp;<span><?php _e('Single', 'wpdiscuz-media-uploader'); ?></span></label>
                        <label for="wmuAttachMultiple"><input <?php checked($wmuIsMultiple == 1); ?> type="radio" value="1" id="wmuAttachMultiple" class="wmuAttachMultiple wmuAttachMethod" name="wmuIsMultiple" />&nbsp;&nbsp;<span><?php _e('Multiple', 'wpdiscuz-media-uploader'); ?></span></label>
                    </fieldset>                 
                </td>
            </tr>
            <tr scope="row" class="tr-wmuMaxFileCount">
                <th><label for="wmuMaxFileCount"><?php _e('Max number of files per type', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="number" value="<?php echo $this->optionsSerialized->wmuMaxFileCount ? $this->optionsSerialized->wmuMaxFileCount : 3; ?>" name="wmuMaxFileCount" id="wmuMaxFileCount" class="wmu-number" /></td>
            </tr>            
            <tr scope="row">
                <th>
                    <label for="wmuMaxFileSize"><?php _e('Max allowed files size', 'wpdiscuz-media-uploader'); ?></label>
                    <p style="font-size:13px; color:#999999; width:98%; padding-left:0px; margin-left:0px;"><?php _e('You can not set this value more than "upload_max_filesize" and "post_max_size". If you want to increase server parameters please contact to your hosting service support.', 'wpdiscuz-media-uploader'); ?></p>
                </th>
                <td>
                    <input type="number" value="<?php echo $this->optionsSerialized->wmuMaxFileSize; ?>" name="wmuMaxFileSize" id="wmuMaxFileSize" class="wmu-number"/>
                    <p style="padding-top:5px;">
                        <?php
                        if ($this->optionsSerialized->wmuUploadMaxFileSize) {
                            echo __('Server "upload_max_filesize" is ') . $this->optionsSerialized->wmuUploadMaxFileSize . '<br/>';
                        }
                        if ($this->optionsSerialized->wmuPostMaxSize) {
                            echo __('Server "post_max_size" is ') . $this->optionsSerialized->wmuPostMaxSize;
                        }
                        ?>
                    </p>
                </td>
            </tr>
            <tr scope="row">
                <th><label for="wmuVideoWidth"><?php _e('Video player sizes', 'wpdiscuz-media-uploader'); ?></label></th>
                <td>
                    <input type="number" value="<?php echo $this->optionsSerialized->wmuVideoWidth; ?>" name="wmuVideoWidth" id="wmuVideoWidth" class="wmu-number" /><span> <?php _e('width (px)', 'wpdiscuz-media-uploader'); ?> </span>
                    <input type="number" value="<?php echo $this->optionsSerialized->wmuVideoHeight; ?>" name="wmuVideoHeight" id="wmuVideoHeight" class="wmu-number" /><span> <?php _e('height (px)', 'wpdiscuz-media-uploader'); ?> </span>
                </td>
            </tr>            
            <tr scope="row">
                <th><label for="wmuEmbedVideoWidth"><?php _e('Embed Video player sizes', 'wpdiscuz-media-uploader'); ?></label></th>
                <td>
                    <input type="number" value="<?php echo $this->optionsSerialized->wmuEmbedVideoWidth; ?>" name="wmuEmbedVideoWidth" id="wmuEmbedVideoWidth" class="wmu-number" /><span> <?php _e('width (px)', 'wpdiscuz-media-uploader'); ?> </span>
                    <input type="number" value="<?php echo $this->optionsSerialized->wmuEmbedVideoHeight; ?>" name="wmuEmbedVideoHeight" id="wmuEmbedVideoHeight" class="wmu-number" /><span> <?php _e('height (px)', 'wpdiscuz-media-uploader'); ?> </span>
                </td>
            </tr>            
            <tr scope="row">
                <th><label for="wmuSingleImageWidth"><?php _e('Single Image sizes on comment', 'wpdiscuz-media-uploader'); ?></label></th>
                <td>
                    <input type="number" value="<?php echo $this->optionsSerialized->wmuSingleImageWidth; ?>" name="wmuSingleImageWidth" id="wmuSingleImageWidth" class="wmu-number" /><span> <?php _e('width (px)', 'wpdiscuz-media-uploader'); ?> </span>
                    <input type="number" value="<?php echo $this->optionsSerialized->wmuSingleImageHeight; ?>" name="wmuSingleImageHeight" id="wmuSingleImageHeight" class="wmu-number" /><span> <?php _e('height (px)', 'wpdiscuz-media-uploader'); ?> </span>
                </td>
            </tr>
            <tr scope="row">
                <th><label for="wmuImageWidth"><?php _e('Image sizes on comment', 'wpdiscuz-media-uploader'); ?></label></th>
                <td>
                    <input type="number" value="<?php echo $this->optionsSerialized->wmuImageWidth; ?>" name="wmuImageWidth" id="wmuImageWidth" class="wmu-number" /><span> <?php _e('width (px)', 'wpdiscuz-media-uploader'); ?> </span>
                    <input type="number" value="<?php echo $this->optionsSerialized->wmuImageHeight; ?>" name="wmuImageHeight" id="wmuImageHeight" class="wmu-number" /><span> <?php _e('height (px)', 'wpdiscuz-media-uploader'); ?> </span>
                </td>
            </tr>
            <tr scope="row">
                <th valign="top" style="width:42%;"><?php _e("Thumbnails sizes to generate:", 'wpdiscuz-media-uploader'); ?></th>
                <td>
                    <?php
                    $allImageSizes = $this->optionsSerialized->getAllImageSizes();
                    foreach ($allImageSizes as $imageSize) {
                        $sizeWidth = intval(get_option("{$imageSize}_size_w"));
                        $sizeHeight = intval(get_option("{$imageSize}_size_h"));
                        $disabled = '';
                        $checked = checked(in_array($imageSize, $this->optionsSerialized->wmuImageSizes), true, false);
                        if (!$sizeWidth && !$sizeHeight) {
                            $disabled = "disabled='disabled'";
                        }
                        ?>                        
                        <div>
                            <input type="checkbox" <?php echo $checked; ?> <?php echo $disabled; ?> value="<?php echo $imageSize; ?>" name="wmuImageSizes[]" id="wmu<?php echo $imageSize; ?>" style="margin:0px; vertical-align: middle;" />
                            <label for="wmu<?php echo $imageSize; ?>" style="white-space:nowrap; font-size:13px;vertical-align: middle;"><?php echo $imageSize . ' ( ' . get_option("{$imageSize}_size_w") . ' x ' . get_option("{$imageSize}_size_h") . ' )'; ?></label>
                        </div>
                        <?php
                    }
                    ?>                    
                </td>
            </tr>
            <tr scope="row">
                <th><label for="wmuLazyLoadImages"><?php _e('Enable images lazy loading?', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="checkbox" <?php checked($this->optionsSerialized->wmuLazyLoadImages == 1); ?> value="1" name="wmuLazyLoadImages" id="wmuLazyLoadImages" /></td>
            </tr>
            <tr scope="row">
                <th><label for="wmuAttachToPost"><?php _e('Attach files to current post?', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="checkbox" <?php checked($this->optionsSerialized->wmuAttachToPost == 1); ?> value="1" name="wmuAttachToPost" id="wmuAttachToPost" /></td>
            </tr>
            <tr scope="row">
                <th colspan="2">
                    <h3 style="font-weight:normal; margin:0px; padding:10px 0px"><?php _e('Front-end Phrases', 'wpdiscuz-media-uploader'); ?></h3>
                </th>
            </tr>
            <tr scope="row">
                <th><label for="wmuPhraseImageFiles"><?php _e('Image uploading title', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="text" value="<?php echo $this->optionsSerialized->wmuPhrases['wmuPhraseImageFiles']; ?>" name="wmuPhrases[wmuPhraseImageFiles]" id="wmuPhraseImageFiles" class="wmu-phrase"/></td>
            </tr>
            <tr scope="row">
                <th><label for="wmuPhraseVideoFiles"><?php _e('Video and audio uploading title', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="text" value="<?php echo $this->optionsSerialized->wmuPhrases['wmuPhraseVideoFiles']; ?>" name="wmuPhrases[wmuPhraseVideoFiles]" id="wmuPhraseVideoFiles" class="wmu-phrase"/></td>
            </tr>
            <tr scope="row">
                <th><label for="wmuPhraseOtherFiles"><?php _e('Other file types uploading title', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="text" value="<?php echo $this->optionsSerialized->wmuPhrases['wmuPhraseOtherFiles']; ?>" name="wmuPhrases[wmuPhraseOtherFiles]" id="wmuPhraseOtherFiles" class="wmu-phrase"/></td>
            </tr>
            <tr scope="row">
                <th><label for="wmuPhraseClickToAdd"><?php _e('Tip for file attachment boxes', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="text" value="<?php echo $this->optionsSerialized->wmuPhrases['wmuPhraseClickToAdd']; ?>" name="wmuPhrases[wmuPhraseClickToAdd]" id="wmuPhraseClickToAdd" class="wmu-phrase"/></td>
            </tr>
            <tr scope="row">
                <th><label for="wmuPhraseConfirmDelete"><?php _e('Alert message before deleting attached file', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="text" value="<?php echo $this->optionsSerialized->wmuPhrases['wmuPhraseConfirmDelete']; ?>" name="wmuPhrases[wmuPhraseConfirmDelete]" id="wmuPhraseConfirmDelete" class="wmu-phrase"/></td>
            </tr>            
            <tr scope="row">
                <th><label for="msgNotAllowedFiles"><?php _e('Message if one or more file types are not allowed', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="text" value="<?php echo $this->optionsSerialized->wmuPhrases['msgNotAllowedFiles']; ?>" name="wmuPhrases[msgNotAllowedFiles]" id="msgNotAllowedFiles" class="wmu-phrase"/></td>
            </tr>
            <tr scope="row">
                <th><label for="msgMaxFileCount"><?php _e('Message if attached more files than allowed', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="text" value="<?php echo $this->optionsSerialized->wmuPhrases['msgMaxFileCount']; ?>" name="wmuPhrases[msgMaxFileCount]" id="msgMaxFileCount" class="wmu-phrase"/></td>
            </tr>
            <tr scope="row">
                <th><label for="msgMaxFileSize"><?php _e('Max uploaded size control message', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="text" value="<?php echo $this->optionsSerialized->wmuPhrases['msgMaxFileSize']; ?>" name="wmuPhrases[msgMaxFileSize]" id="msgMaxFileSize" class="wmu-phrase"/></td>
            </tr>
            <tr scope="row">
                <th><label for="msgPostMaxSize"><?php _e('Max submitted post size control message', 'wpdiscuz-media-uploader'); ?></label></th>
                <td><input type="text" value="<?php echo $this->optionsSerialized->wmuPhrases['msgPostMaxSize']; ?>" name="wmuPhrases[msgPostMaxSize]" id="msgPostMaxSize" class="wmu-phrase"/></td>
            </tr>
            <tr>                
                <td colspan="2">
                    <?php $adminPostUrl = admin_url('admin-post.php/?action=wmuResetOptions&reset=1'); ?>
                    <a href="<?php echo wp_nonce_url($adminPostUrl, 'wmuResetOptions'); ?>" class="button button-secondary" style="margin-left: 5px;" id="wmu_reset_options">
                        <?php _e('Reset uploader options', 'wpdiscuz'); ?>
                    </a>
                </td>
            </tr>
        </tbody>
    </table>    
</div>