<?php
if (!defined('ABSPATH')) {
    exit();
}
?>
<div style="width:100%;">
    <h3 style="padding:5px 10px 10px 10px; margin:0px; text-align:right; border-bottom:1px solid #ddd; max-width:240px; margin:0px 0px 20px auto; font-weight:normal;"><?php _e('Online Users Settings', 'wpdiscuz-ou'); ?></h3>
    <table class="widefat wou-options" style="margin-top:10px; border:none; width:100%;">
        <tbody>
            <tr>
                <th class="w48"><label for="wou-checkFrequency"><?php _e('Online status checking rate', 'wpdiscuz-ou'); ?></label></th>
                <td>
                    <div class="wou-input-group">
                        <input type="number" value="<?php echo $this->checkFrequency; ?>" name="checkFrequency" id="wou-checkFrequency" class="wou-input-field w25"  style="vertical-align: middle;"/> 
                        <select name="checkFrequencyType">
                            <option value="s" <?php selected('s' == $this->checkFrequencyType); ?>><?php _e('second(s)', 'wpdiscuz-ou'); ?></option>
                            <option value="m" <?php selected('m' == $this->checkFrequencyType); ?>><?php _e('minute(s)', 'wpdiscuz-ou'); ?></option>
                        </select>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48">
                    <label for="wou-isShowNotificationPopup"><?php _e('Enable pop-up notification of new online users', 'wpdiscuz-ou'); ?></label>
                </th>
                <td>
                    <div class="wou-chk-group" style="width:13%; min-width:50px;">
                        <input type="checkbox" <?php checked($this->isShowNotificationPopup == 1); ?> value="1" name="isShowNotificationPopup" id="wou-isShowNotificationPopup" class="wou-chk-switch"/>
                        <label for="wou-isShowNotificationPopup" class="wou-chk-switch-label wou-chk-single"><?php _e('Yes', 'wpdiscuz-ou'); ?></label>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wou-notificationPopupTimeout"><?php _e('Hide pop-up notification in', 'wpdiscuz-ou'); ?></label></th>
                <td>
                    <div class="wou-input-group">
                        <input type="number" value="<?php echo $this->notificationPopupTimeout; ?>" name="notificationPopupTimeout" id="wou-notificationPopupTimeout" class="wou-input-field w25"  style="vertical-align: baseline;"/> <span><?php _e('seconds', 'wpdiscuz-ou'); ?></span>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wou-notificationPopupPosition"><?php _e('Pop-up notification location', 'wpdiscuz-ou'); ?></label></th>
                <td>
                    <div class="wou-input-group">
                        <select id="wou-notificationPopupPosition" name="notificationPopupPosition">
                            <option value="top-left" <?php selected($this->notificationPopupPosition == 'top-left'); ?>><?php _e('Top left', 'wpdiscuz-ou'); ?></option>
                            <option value="top-right" <?php selected($this->notificationPopupPosition == 'top-right'); ?>><?php _e('Top right', 'wpdiscuz-ou'); ?></option>
                            <option value="bottom-right" <?php selected($this->notificationPopupPosition == 'bottom-right'); ?>><?php _e('Bottom right', 'wpdiscuz-ou'); ?></option>
                            <option value="bottom-left" <?php selected($this->notificationPopupPosition == 'bottom-left'); ?>><?php _e('Bottom left', 'wpdiscuz-ou'); ?></option>                            
                        </select>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><span><?php _e('Pop-up notification background color', 'wpdiscuz-ou'); ?></span></th>
                <td>
                    <div class="wou-input-group">
                        <input type="text" class="wpdiscuz-color-picker wou-input-field" value="<?php echo $this->notificationItemBG; ?>" name="notificationItemBG" id="wou-notificationItemBG"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><span><?php _e('Pop-up notification text color', 'wpdiscuz-ou'); ?></span></th>
                <td>
                    <div class="wou-input-group">
                        <input type="text" class="wpdiscuz-color-picker wou-input-field" value="<?php echo $this->notificationItemTextColor; ?>" name="notificationItemTextColor" id="wou-notificationItemTextColor"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><span><?php _e('Online status color', 'wpdiscuz-ou'); ?></span></th>
                <td>
                    <div class="wou-input-group">
                        <input type="text" class="wpdiscuz-color-picker wou-input-field" value="<?php echo $this->onlineStatusColor; ?>" name="onlineStatusColor" id="wou-onlineStatusColor"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><span><?php _e('Offline status color', 'wpdiscuz-ou'); ?></span></th>
                <td>
                    <div class="wou-input-group">
                        <input type="text" class="wpdiscuz-color-picker wou-input-field" value="<?php echo $this->offlineStatusColor; ?>" name="offlineStatusColor" id="wou-offlineStatusColor"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wou-phraseUserIsOnline"><?php _e('"X" user is online', 'wpdiscuz-ou'); ?></label></th>
                <td>
                    <div class="wou-input-group">
                        <input type="text" value="<?php echo $this->phraseUserIsOnline; ?>" name="phraseUserIsOnline" id="wou-phraseUserIsOnline" class="wou-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wou-phraseUserLastComment"><?php _e('"X" user last comment', 'wpdiscuz-ou'); ?></label></th>
                <td>
                    <div class="wou-input-group">
                        <input type="text" value="<?php echo $this->phraseUserLastComment; ?>" name="phraseUserLastComment" id="wou-phraseUserLastComment" class="wou-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wou-phraseReadMore"><?php _e('"read this comment" link text', 'wpdiscuz-ou'); ?></label></th>
                <td>
                    <div class="wou-input-group">
                        <input type="text" value="<?php echo $this->phraseReadMore; ?>" name="phraseReadMore" id="wou-phraseReadMore" class="wou-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wou-phraseOnline"><?php _e('Online status label', 'wpdiscuz-ou'); ?></label></th>
                <td>
                    <div class="wou-input-group">
                        <input type="text" value="<?php echo $this->phraseOnline; ?>" name="phraseOnline" id="wou-phraseOnline" class="wou-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <th class="w48"><label for="wou-phraseOffline"><?php _e('Offline status label', 'wpdiscuz-ou'); ?></label></th>
                <td>
                    <div class="wou-input-group">
                        <input type="text" value="<?php echo $this->phraseOffline; ?>" name="phraseOffline" id="wou-phraseOffline" class="wou-input-field"/>
                    </div>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <?php $adminPostUrl = admin_url('admin-post.php/?action=wouResetOptions'); ?>
                    <a href="<?php echo wp_nonce_url($adminPostUrl, 'wouResetOptions'); ?>" class="button button-secondary" style="margin-top: 25px;" id="wou-reset-options">
                        <?php _e('Reset options', 'wpdiscuz-ou'); ?>
                    </a>
                </td>
            </tr>
        </tbody>
    </table>    
</div>