jQuery(document).ready(function ($) {
    $(document).delegate('#wpcomm .wpdiscuz-private-comment-action', 'click', function () {
        var itemID = $(this).attr('id');
        var status = $(this).hasClass('hidden') ? 'private' : 'public';
        if (itemID.length) {
            $('.wpdiscuz-loading-bar').show();
            $.ajax({
                type: 'POST',
                url: wpdiscuzAjaxObj.url,
                data: {html_id: itemID,
                    status: status,
                    action: 'wpdPrivateCommentChangeStatus'}
            }).done(function (response) {
                try {
                    var resp = $.parseJSON(response);
                    if (resp.code == 1) {
                        var parentContainer = $('#' + itemID).parents('.wc-comment');
                        if (status === 'private') {
                            $('#' + itemID).removeClass('hidden');
                            parentContainer.removeClass('wc-private-comment');
                        } else {
                            $('#' + itemID).addClass('hidden');
                            parentContainer.addClass('wc-private-comment');
                        }
                        if (resp.remove_button) {
                            $('#' + itemID).remove();
                        } else {
                            $('#' + itemID + '>.wc_private_text').html(resp.text);
                        }
                        setTimeout(function () {
                            location.reload(true);
                        }, 1000);
                    }
                } catch (e) {
                    console.log(e);
                }
                $('.wpdiscuz-loading-bar').fadeOut(250);
            });
        }
    });
});