<?php
if (!defined('ABSPATH')) {
    exit();
}
$blogRoles = get_editable_roles();
?>
<style> 
    .wpdprivate-comment-options td, 
    .wpdprivate-comment-options th{vertical-align: top;}
</style>
<div style="width:100%;">
    <h3 style="padding:5px 10px 10px 10px; margin:0px; text-align:right; border-bottom:1px solid #ddd; max-width:40%; margin:0px 0px 20px auto; font-weight:normal;"><?php _e('Private Comment Threads', 'wpdiscuz_private_comment'); ?></h3>
    <h3><?php _e('General', 'wpdiscuz_private_comment'); ?></h3>
    <table class="wpdprivate-comment-options" style="margin-top:10px; border:none; width:100%;">
        <tbody>
            <tr>
                <th style="width: 40%;"><?php _e('User roles can create private comment threads', 'wpdiscuz_private_comment'); ?></th>
                <td>
                    <?php
                    foreach ($blogRoles as $role => $info) {
                        if ($role == 'administrator') {
                            ?>
                            <div style="float:left; display:inline-block; padding:3px 5px 3px 7px; min-width:25%;">
                                <input type="checkbox" checked disabled value="<?php echo $role; ?>" name="can_add_private_comment[]" id="wpdpmadd-<?php echo $role; ?>" style="margin:0px; vertical-align: middle;" />
                                <label style="color:#999999;" for="wpdpmadd-<?php echo $role; ?>" style="white-space:nowrap; font-size:13px;"><?php echo $info['name']; ?></label>
                            </div>
                            <?php
                        } else {
                            ?>
                            <div style="float:left; display:inline-block; padding:3px 5px 3px 7px; min-width:25%;">
                                <input type="checkbox" <?php checked(in_array($role, $this->pluginOptions['can_add_private_comment']) == true); ?> value="<?php echo $role; ?>" name="can_add_private_comment[]" id="wpdpmadd-<?php echo $role; ?>" style="margin:0px; vertical-align: middle;" />
                                <label for="wpdpmadd-<?php echo $role; ?>" style="white-space:nowrap; font-size:13px;"><?php echo $info['name']; ?></label>
                            </div>
                            <?php
                        }
                    }
                    ?>
                    <div class="wcai-clearfix"></div>
                </td>
            </tr>
            <tr>
                <th><?php _e('User roles can moderate private comments threads', 'wpdiscuz_private_comment'); ?></th>
                <td>
                    <?php
                    foreach ($blogRoles as $role => $info) {
                        if ($role == 'administrator') {
                            ?>
                            <div style="float:left; display:inline-block; padding:3px 5px 3px 7px; min-width:25%;">
                                <input type="checkbox" checked disabled value="<?php echo $role; ?>" name="moderator_user_groups[]" id="wpdpmoderator-<?php echo $role; ?>" style="margin:0px; vertical-align: middle;" />
                                <label style="color: #999999;" for="wpdpmoderator-<?php echo $role; ?>" style="white-space:nowrap; font-size:13px;"><?php echo $info['name']; ?></label>
                            </div>
                            <?php
                        } else {
                            if (key_exists('moderate_comments', $info['capabilities']) && $info['capabilities']['moderate_comments']) {
                                ?>
                                <div style="float:left; display:inline-block; padding:3px 5px 3px 7px; min-width:25%;">
                                    <input type="checkbox" <?php checked(in_array($role, $this->pluginOptions['moderator_user_groups']) == true); ?> value="<?php echo $role; ?>" name="moderator_user_groups[]" id="wpdpmoderator-<?php echo $role; ?>" style="margin:0px; vertical-align: middle;" />
                                    <label for="wpdpmoderator-<?php echo $role; ?>" style="white-space:nowrap; font-size:13px;"><?php echo $info['name']; ?></label>
                                </div>
                                <?php
                            }
                        }
                    }
                    ?>
                    <div class="wcai-clearfix"></div>
                </td>
            </tr>
            <tr>
                <th>
                    <?php _e('Enable private threads for comment forms', 'wpdiscuz_private_comment'); ?>
                    <p style="color: #666666; font-size: 13px; font-style: italic; margin: 3px 0px;"><?php _e('You can manage comment forms and fields in Dashboard > Comments > Forms admin page.', 'wpdiscuz_private_comment'); ?></p>
                </th>
                <td>
                    <?php
                    $forms = get_posts(array('numberposts' => -1,
                        'post_type' => 'wpdiscuz_form',
                        'post_status' => 'publish'));
                    foreach ($forms as $form) {
                        ?>
                        <div style="float:left; display:inline-block; padding:3px 5px 3px 7px; min-width:25%;">
                            <input type="checkbox" <?php checked(in_array($form->ID, $this->pluginOptions['private_comment_forms']) == true); ?> value="<?php echo $form->ID; ?>" name="private_comment_forms[]" id="wpdpmform-<?php echo $form->ID; ?>" style="margin:0px; vertical-align: middle;" />
                            <label for="wpdpmform-<?php echo $form->ID; ?>" style="white-space:nowrap; font-size:13px;"><?php echo $form->post_title ? $form->post_title : __('no title', 'wpdiscuz_private_comment') . ' ( ID : ' . $form->ID . ' )'; ?></label>
                        </div>
                        <?php
                    }
                    ?>
                    <div class="wcai-clearfix"></div>
                </td>
            </tr>
            <tr>
                <th>
                    <?php _e('Set new comments to private', 'wpdiscuz_private_comment'); ?>
                </th>
                <td>
                    <div style="float:left; display:inline-block; padding:3px 5px 3px 7px; min-width:25%;">
                        <input type="checkbox" <?php echo isset($this->pluginOptions['private_comment_set_private']) && $this->pluginOptions['private_comment_set_private'] ? 'checked="checked"' : ''; ?> value="1" name="private_comment_set_private" id="private_comment_set_private" style="margin:0px; vertical-align: middle;" />
                    </div>
                </td>
            </tr>
        </tbody>
    </table>    
    <h3><?php _e('Email Notification', 'wpdiscuz_private_comment'); ?></h3>
    <table class="wpdprivate-comment-options" style="margin-top:10px; border:none; width:100%;">
        <tbody>
            <tr>
                <th class="w48"><label for="private_comment_notification_enabled" style="white-space:nowrap; font-size:13px;"><?php _e('Enable Notification', 'wpdiscuz_private_comment'); ?></label></th>
                <td>
                    <div style="float:left; display:inline-block; padding:3px 5px 3px 7px; min-width:25%;">
                        <input type="checkbox" <?php checked($this->pluginOptions['private_comment_notification_enabled']); ?> value="1" name="private_comment_notification_enabled" id="private_comment_notification_enabled" style="margin:0px; vertical-align: middle;" />
                    </div>
                    <div class="wcai-clearfix"></div>
                </td>
            </tr>
            <tr>
                <th class="w48">
                    <label for="private_comment_notification_subject" style="white-space:nowrap; font-size:13px;"><?php _e('Email Subject', 'wpdiscuz_private_comment'); ?></label>
                </th>
                <td>
                    <input type="text"  value="<?php echo esc_attr($this->pluginOptions['private_comment_notification_subject']); ?>" name="private_comment_notification_subject" id="private_comment_notification_subject" style="width: 100%; padding: 3px; margin: 0;" />
                </td>
            </tr>
            <tr>
                <th class="w48">
                    <label for="private_comment_notification_message" style="white-space:nowrap; font-size:13px;"><?php _e('Email Text', 'wpdiscuz_private_comment'); ?></label>
                    <p style="color: #666666; font-size: 13px; font-style: italic; margin: 3px 0px;">
                        <?php _e('Shortcodes in message body:', 'wpdiscuz_private_comment'); ?><br>
                        [post-title] - <?php _e('Post Title', 'wpdiscuz_private_comment'); ?><br>
                        [post-url] -  <?php _e('Post URL', 'wpdiscuz_private_comment'); ?><br>
                        [comment-url] - <?php _e('Private Comment Thread URL', 'wpdiscuz_private_comment'); ?>
                    </p>
                </th>
                <td>
                    <textarea name="private_comment_notification_message" id="private_comment_notification_message" cols="40" rows="8" style="width: 100%;"><?php echo $this->pluginOptions['private_comment_notification_message']; ?></textarea>
                </td>
            </tr>
        </tbody>
    </table> 
</div>
