<?php
if (!defined("ABSPATH")) {
    exit();
}
?>
<div>
    <div class="flag-inner">
        <h3 style="padding:5px 10px 15px 10px; margin:0px; text-align:right; border-bottom:1px solid #ddd; margin:0px 0px 20px auto; font-weight:normal;"><?php _e('Comment Report and Flagging', 'wpdiscuz_fc'); ?></h3>
        <table>
            <tr valign="top">
                <th scope="row" style="width:55%;">
                    <label for="wpdiscuz_show_flag"><?php _e('Show flag icon on comments', 'wpdiscuz_fc'); ?></label>
                    <p class="wpd-info"><?php _e('If this option is disabled, comment auto-moderation will only be based on down votes / dislikes.', 'wpdiscuz_fc'); ?></p>
                </th>
                <td><input type="checkbox" name="wpdiscuz_show_flag" <?php checked($this->showFlag == 1); ?> value="1" id="wpdiscuz_show_flag"/></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_allow_guest_flag"><?php _e('Allow guests to flag and report comments', 'wpdiscuz_fc'); ?></label></th>
                <td><input type="checkbox" name="wpdiscuz_allow_guest_flag" <?php checked($this->guestToFlag == 1); ?> value="1" id="wpdiscuz_allow_guest_flag"/></td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <label for="wpdiscuz_allow_user_messag_flag"><?php _e('Enable comment reporting pop-up form for registered users', 'wpdiscuz_fc'); ?></label>
                    <p class="wpd-info"><?php _e('For security reasons comment reporting form is disabled for guests by default. Guests are still able to flag without sending message. However you can enable this for guests using the option below.', 'wpdiscuz_fc'); ?></p>
                </th>
                <td><input type="checkbox" name="wpdiscuz_allow_user_messag_flag" <?php checked($this->sendFlagMessage == 1); ?> value="1" id="wpdiscuz_allow_user_messag_flag"/></td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <label for="wpdiscuz_allow_messag_flag_guest"><?php _e('Enable comment reporting pop-up form for guests', 'wpdiscuz_fc'); ?></label>
                </th>
                <td><input type="checkbox" name="wpdiscuz_allow_messag_flag_guest" <?php checked($this->sendFlagMessageGuest == 1); ?> value="1" id="wpdiscuz_allow_messag_flag_guest"/></td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <?php _e('Enable auto-moderation for flagged/disliked comments:', 'wpdiscuz_fc'); ?>
                    <p class="wpd-info"><?php _e('This will automatically Unapprove or Trash comments which reached the maximum number of flags or dislikes set below', 'wpdiscuz_fc'); ?></p>
                </th>
                <td>
                    <input type="radio" name="wpdiscuz_allow_auto_moderation_type" <?php checked($this->autoModerateCommentType == 'unapprove'); ?> value="unapprove" id="wpdiscuz_unapprove"/> <label for="wpdiscuz_unapprove"> <?php _e('unapprove', 'wpdiscuz_fc'); ?> </label>
                    <input type="radio" name="wpdiscuz_allow_auto_moderation_type" <?php checked($this->autoModerateCommentType == 'trash'); ?> value="trash" id="wpdiscuz_trash"/> <label for="wpdiscuz_trash"> <?php _e('trash', 'wpdiscuz_fc'); ?> </label>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_flag_count"><?php _e('Do auto-moderation if comment is flagged more than', 'wpdiscuz_fc'); ?></label></th>
                <td><input type="number" name="wpdiscuz_flag_count" value="<?php echo ($this->flagCount) ? ($this->flagCount) : 10; ?>" id="wpdiscuz_flag_count"/>  <span style="display:inline-block; vertical-align:bottom; font-size:14px; padding:5px;"><?php _e('times', 'wpdiscuz_fc'); ?></span></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_vote_count"><?php _e('Do auto-moderation if comment is down voted more than', 'wpdiscuz_fc'); ?></label></th>
                <td><input type="number" name="wpdiscuz_vote_count" value="<?php echo ($this->voteCount) ? ($this->voteCount) : 10; ?>"  id="wpdiscuz_vote_count"/>  <span style="display:inline-block; vertical-align:bottom; font-size:14px; padding:5px;"><?php _e('times', 'wpdiscuz_fc'); ?></span></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="notifyWhenFlagged"><?php printf(__('Notify admin when comment is flagged more than %d times.', 'wpdiscuz_fc'), $this->flagCount); ?></label></th>
                <td><input type="checkbox" name="notifyWhenFlagged" <?php checked($this->notifyWhenFlagged == 1); ?> value="1" id="notifyWhenFlagged"/></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_notify_admin"><?php _e('Notify admin when comment is auto-moderated', 'wpdiscuz_fc'); ?></label></th>
                <td><input type="checkbox" name="wpdiscuz_notify_admin" <?php checked($this->notifyAdmin == 1); ?> value="1" id="wpdiscuz_notify_admin"/></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_admin_email"><?php _e('Admin Email', 'wpdiscuz_fc'); ?></label></th>
                <td><input type="email" name="wpdiscuz_admin_email" value="<?php echo $this->flaggedMailTo; ?>" id="wpdiscuz_admin_email"/></td>
            </tr>
            <tr valign="top">
                <th scope="row" colspan="2" style="border-top:3px solid #ddd;">
                    <h3 style="padding-bottom:5px; padding-top:20px; font-weight:normal; margin:0px;"> <?php _e('Comment reporting message from reporter to admin', 'wpdiscuz_fc'); ?></h3>
                    <p class="wpd-info"> <?php _e('This message comes from comment reporting pop-up form. It includes reporter message and bad comment category (reason).', 'wpdiscuz_fc'); ?></p>
                </th>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_flagged_email_subject"><?php _e('Report message subject', 'wpdiscuz_fc'); ?></label></th>
                <td><input type="text" name="wpdiscuz_flagged_email_subject"  value="<?php echo $this->flagedMailSubject; ?>" id="wpdiscuz_flagged_email_subject"/></td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <label for="wpdiscuz_flagged_email_message"><?php _e('Report message body', 'wpdiscuz_fc'); ?></label>
                    <p class="wpd-info">
                        <i> [userInfo] - <?php _e('username', 'wpdiscuz_fc'); ?></i><br/>
                        <i> [reason] - <?php _e('bad comment category', 'wpdiscuz_fc'); ?></i><br/>
                        <i> [message] - <?php _e('report message', 'wpdiscuz_fc'); ?></i><br/>
                        <i> [postTitle] - <?php _e('post title', 'wpdiscuz_fc'); ?></i><br/>
                        <i> [commentInfo] - <?php _e('comment text or URL', 'wpdiscuz_fc'); ?></i>
                    </p>
                </th>
                <td><textarea name="wpdiscuz_flagged_email_message" id="wpdiscuz_flagged_email_message" cols="50" rows="6"><?php echo $this->flagedMailMessage; ?></textarea></td>
            </tr>
            <tr valign="top">
                <th scope="row" colspan="2" style="border-top:3px solid #ddd;">
                    <h3 style="padding-bottom:5px; padding-top:20px; font-weight:normal; margin:0px;"> <?php _e('Auto-moderation notification to admin', 'wpdiscuz_fc'); ?></h3>
                    <p class="wpd-info"> <?php _e('This message will be sent to admin once maximum number of flags or dislikes is reached for certain comment and this comment is auto-moderated (trashed or unapproved)', 'wpdiscuz_fc'); ?></p>
                </th>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <label for="wpdiscuz_moderated_email_subject"><?php _e('Auto-moderation message subject', 'wpdiscuz_fc'); ?></label>
                    <p class="wpd-info"><?php _e('Please do not remove %s variable at end of this phrase. This variable will be changed to auto-moderation mode "flags" or "dislikes".', 'wpdiscuz_fc'); ?></p>
                </th>
                <td><input type="text" name="wpdiscuz_moderated_email_subject"  value="<?php echo $this->moderateEmailSubject; ?>" id="wpdiscuz_moderated_email_subject"/></td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <label for="wpdiscuz_reported_email_message"><?php _e('Auto-moderation message body', 'wpdiscuz_fc'); ?></label>
                    <p class="wpd-info">
                        <i> [status] - comment status</i><br/>
                        <i> [postName] - post URL</i><br/>
                        <i> [postTitle] - post title</i><br/>
                        <i> [userLogin] - user login</i><br/>
                        <i> [userEmail] - user email</i><br/>
                        <i> [commentContent] - reported comment content</i>
                    </p>
                </th>
                <td><textarea name="wpdiscuz_reported_email_message" id="wpdiscuz_reported_email_message" cols="50" rows="6"><?php echo $this->reportedMailMessage; ?></textarea></td>
            </tr>
            <tr valign="top">
                <th scope="row" colspan="2" style="border-top:3px solid #ddd;">
                    <h3 style="padding-bottom:5px; padding-top:20px; font-weight:normal; margin:0px;"> <?php _e('Front-end Phrases', 'wpdiscuz_fc'); ?></h3>
                </th>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_report_title"><?php _e('Comment reporting pop-up form title:', 'wpdiscuz_fc'); ?></label></th>
                <td class="wpdiscuz_report_title"><input type="text" name="wpdiscuz_report_title" value="<?php echo $this->reportPopupTitle; ?>" id="wpdiscuz_report_title"/></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_report_button"><?php _e('Report button:', 'wpdiscuz_fc'); ?></label></th>
                <td class="wpdiscuz_report_button"><input type="text" name="wpdiscuz_report_button" value="<?php echo $this->sendBtn; ?>" id="wpdiscuz_report_button"/></td>
            </tr>
            <!--  Error Messages   -->
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_already_flagged"><?php _e('Already flagged:', 'wpdiscuz_fc'); ?></label></th>
                <td><input type="text" name="wpdiscuz_already_flagged" value="<?php echo $this->alreadyFlagged; ?>" id="wpdiscuz_already_flagged"/></td>
            </tr> 
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_email_not_send"><?php _e('Email not send:', 'wpdiscuz_fc'); ?></label></th>
                <td><input type="text" name="wpdiscuz_email_not_send" value="<?php echo $this->emailNotSend; ?>" id="wpdiscuz_email_not_send"/></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_data_not_inserted"><?php _e('Data not inserted:', 'wpdiscuz_fc'); ?></label></th>
                <td><input type="text" name="wpdiscuz_data_not_inserted" value="<?php echo $this->dataNotInserted; ?>" id="wpdiscuz_data_not_inserted"/></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_email_send"><?php _e('Message sent:', 'wpdiscuz_fc'); ?></label></th>
                <td><input type="text" name="wpdiscuz_email_send" value="<?php echo $this->emailSend; ?>" id="wpdiscuz_email_send"/></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_check_report_type"><?php _e('Select report category:', 'wpdiscuz_fc'); ?></label></th>
                <td><input type="text" name="wpdiscuz_check_report_type" value="<?php echo $this->checkReportType; ?>" id="wpdiscuz_check_report_type"/></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_fill_msg_field"><?php _e('Insert message:', 'wpdiscuz_fc'); ?></label></th>
                <td><input type="text" name="wpdiscuz_fill_msg_field" value="<?php echo $this->fillMsgField; ?>" id="wpdiscuz_fill_msg_field"/></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_report_other"><?php _e('Report type other:', 'wpdiscuz_fc'); ?></label></th>
                <td><input type="text" name="wpdiscuz_report_other" value="<?php echo $this->reportOther; ?>" id="wpdiscuz_report_other"/></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_enter_message"><?php _e('Report message placeholder:', 'wpdiscuz_fc'); ?></label></th>
                <td><input type="text" name="wpdiscuz_enter_message" value="<?php echo $this->messageField; ?>" id="wpdiscuz_enter_message"/></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_flag_title_on"><?php _e('Flag title when "Comment Reporting" pop-up form is enabled', 'wpdiscuz_fc'); ?></label></th>
                <td><input type="text" name="wpdiscuz_flag_title_on" value="<?php echo $this->flagTitleOn; ?>" id="wpdiscuz_flag_title_on"/></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_flag_title_off"><?php _e('Flag title when "Comment Reporting" pop-up form is disabled', 'wpdiscuz_fc'); ?></label></th>
                <td><input type="text" name="wpdiscuz_flag_title_off" value="<?php echo $this->flagTitleOff; ?>" id="wpdiscuz_flag_title_off"/></td>
            </tr>
            <!--  Error Messages   -->
            <tr valign="top">
                <th scope="row"><label for="wpdiscuz_report_types"><?php _e('Bad comment categories:', 'wpdiscuz_fc'); ?></label></th>
                <td class="wpdiscuz_report_types">
                    <?php foreach ($this->optionType as $key => $type): ?>
                        <span style="display:flex; margin-bottom: 10px;">
                            <input type="text" name="wpdiscuz_report_types[]" value="<?php echo $type; ?>" id="wpdiscuz_report_types"/>
                            <input type="button" id="wpdiscuz_hide" class="report_remove" value="" />
                        </span>
                    <?php endforeach; ?>
                </td>
            </tr>
            <tr valign="top">
                <?php $resetOptionsUrl = admin_url('admin-post.php?action=resetOptions'); ?>
                <th scope="row"><a class="button button-secondary fc-reset-options" href="<?php echo wp_nonce_url($resetOptionsUrl, 'resetOptions'); ?>"><?php _e('Reset Options', 'wpdiscuz_fc'); ?></a></th>
                <td><input type="button" class="add_new" id="add_field" value="<?php _e('Add new', 'wpdiscuz_fc') ?>" /></td>
            </tr>
        </table>

    </div>
</div>