<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of WpdiscuzUCMOption
 *
 * @author User
 */
class WpdiscuzUCMOption {

    public $optionSlug = 'wpdiscuz_ucm';
    public $options;
    public $versionSlug = 'wpdiscuz_ucm_version';
    public $wpucmVersion = '1.0.0';
    public $posts;
    public $comments;
    public $search;
    public $viewAt;
    public $viewAvatarInComment;
    public $viewAvatarInTooltip;
    public $sendEmail;
    public $adminEmail;
    public $userEmail;
    public $authorMailSubject;
    public $userMailSubject;
    public $authorMailMessage;
    public $userMailMessage;
    public $userListCount;
    public $textLength;
    public $viewID;
    public $guestMentioning;
    public $displayNicename;
    public $guestMentioningPattern = '|@guest_([\d]+)|is';
    public $enableCommentMentioning;

    public function __construct() {
        $this->addOptions();
        $this->initOptions();
    }

    public function optionUCMName() {
        echo '<li>' . __('User &amp; Comment Mentioning', 'wpdiscuz_ucm') . '</li>';
    }

    public function optionUCMContent() {
        include_once 'view/ucm_view.php';
    }

    public function addOptions() {
        $ucm_author_subject = __("Your Comment has been mentioned", 'wpdiscuz_ucm');
        $ucm_user_subject = __("You have been mentioned in comment", 'wpdiscuz_ucm');
        $ucm_author_message = __("Hi [mentionedUserName]!\r\nYour comment on \"[postTitle]\" post has been mentioned by [authorUserName].</br>\r\n</br>\r\nComment URL: [commentURL]", 'wpdiscuz_ucm');
        $ucm_user_message = __("Hi [mentionedUserName]!\r\nYou have been mentioned in a comment posted on \"[postTitle]\" post by [authorUserName].</br>\r\n</br>\r\nComment URL: [commentURL]", 'wpdiscuz_ucm');

        $options = array(
            'posts' => __('Posts', 'wpdiscuz_ucm'),
            'comments' => __('Comments', 'wpdiscuz_ucm'),
            'search' => __('Search', 'wpdiscuz_ucm'),
            'sendemail' => 1,
            'adminemail' => 1,
            'useremail' => 1,
            'userlistcount' => 8,
            'viewat' => 1,
            'viewid' => 0,
            'viewavatarincomment' => 1,
            'viewavatarintooltip' => 1,
            'guestMentioning' => 0,
            'displayNicename' => 1,
            'enableCommentMentioning' => 1,
            'authormailsubject' => $ucm_author_subject,
            'usermailsubject' => $ucm_user_subject,
            'authormailmessage' => $ucm_author_message,
            'usermailmessage' => $ucm_user_message,
            'textlength' => 150
        );
        add_option($this->optionSlug, $options);
        $this->options = $options;
    }

    public function initOptions() {
        $options = get_option($this->optionSlug);
        $this->posts = $options['posts'];
        $this->comments = $options['comments'];
        $this->search = $options['search'];
        $this->sendEmail = $options['sendemail'];
        $this->adminEmail = $options['adminemail'];
        $this->userEmail = $options['useremail'];
        $this->userListCount = $options['userlistcount'];
        $this->viewAt = $options['viewat'];
        $this->viewID = $options['viewid'];
        $this->viewAvatarInComment = $options['viewavatarincomment'];
        $this->viewAvatarInTooltip = $options['viewavatarintooltip'];
        $this->guestMentioning = isset($options['guestMentioning']) ? $options['guestMentioning'] : 0;
        $this->displayNicename = isset($options['displayNicename']) ? $options['displayNicename'] : 0;
        $this->enableCommentMentioning = isset($options['enableCommentMentioning']) ? $options['enableCommentMentioning'] : 1;
        $this->authorMailSubject = $options['authormailsubject'];
        $this->userMailSubject = $options['usermailsubject'];
        $this->authorMailMessage = $options['authormailmessage'];
        $this->userMailMessage = $options['usermailmessage'];
        $this->textLength = $options['textlength'];
    }

    public function saveOptions($args) {
        $this->posts = isset($args['ucm_posts']) ? wp_unslash($args['ucm_posts']) : __('Posts', 'wpdiscuz_ucm');
        $this->comments = isset($args['ucm_comments']) ? wp_unslash($args['ucm_comments']) : __('Comments', 'wpdiscuz_ucm');
        $this->search = isset($args['ucm_search']) ? wp_unslash($args['ucm_search']) : __('Search', 'wpdiscuz_ucm');
        $this->sendEmail = isset($args['ucm_send']) ? intval($args['ucm_send']) : 0;
        $this->adminEmail = isset($args['ucm_send_admin']) ? intval($args['ucm_send_admin']) : 0;
        $this->userEmail = isset($args['ucm_send_user']) ? intval($args['ucm_send_user']) : 0;
        $this->userListCount = isset($args['ucm_user_count']) ? intval(absint($args['ucm_user_count'])) : 8;
        $this->viewAt = isset($args['ucm_at']) ? intval($args['ucm_at']) : 0;
        $this->viewID = isset($args['ucm_viewid']) ? intval($args['ucm_viewid']) : 0;
        $this->viewAvatarInComment = isset($args['ucm_view_avatar_in_comment']) ? intval($args['ucm_view_avatar_in_comment']) : 0;
        $this->viewAvatarInTooltip = isset($args['ucm_view_avatar_tooltip']) ? intval($args['ucm_view_avatar_tooltip']) : 0;
        $this->guestMentioning = isset($args['guestMentioning']) ? intval($args['guestMentioning']) : 0;
        $this->displayNicename = isset($args['displayNicename']) ? intval($args['displayNicename']) : 0;
        $this->enableCommentMentioning = isset($args['enableCommentMentioning']) ? intval($args['enableCommentMentioning']) : 0;
        $this->authorMailSubject = isset($args['author_mail_subject']) ? wp_unslash($args['author_mail_subject']) : __("Your Comment has been mentioned", 'wpdiscuz_ucm');
        $this->userMailSubject = isset($args['user_mail_subject']) ? wp_unslash($args['user_mail_subject']) : __("You have been mentioned in comment", 'wpdiscuz_ucm');
        $this->authorMailMessage = isset($args['author_mail_message']) ? wp_unslash($args['author_mail_message']) : __("Hi [mentionedUserName]!\r\nYour comment on \"[postTitle]\" post has been mentioned by [authorUserName].</br>\r\n</br>\r\nComment URL: [commentURL]", 'wpdiscuz_ucm');
        $this->userMailMessage = isset($args['user_mail_message']) ? wp_unslash($args['user_mail_message']) : __("Hi [mentionedUserName]!\r\nYou have been mentioned in a comment posted on \"[postTitle]\" post by [authorUserName].</br>\r\n</br>\r\nComment URL: [commentURL]", 'wpdiscuz_ucm');
        $this->textLength = isset($args['ucm_text_length']) ? intval($args['ucm_text_length']) : 150;
        update_option($this->optionSlug, array(
            'posts' => $this->posts,
            'comments' => $this->comments,
            'search' => $this->search,
            'sendemail' => 1,
            'adminemail' => $this->adminEmail,
            'useremail' => $this->userEmail,
            'userlistcount' => $this->userListCount,
            'viewat' => $this->viewAt,
            'viewid' => $this->viewID,
            'viewavatarincomment' => $this->viewAvatarInComment,
            'viewavatarintooltip' => $this->viewAvatarInTooltip,
            'guestMentioning' => $this->guestMentioning,
            'displayNicename' => $this->displayNicename,
            'enableCommentMentioning' => $this->enableCommentMentioning,
            'authormailsubject' => $this->authorMailSubject,
            'usermailsubject' => $this->userMailSubject,
            'authormailmessage' => $this->authorMailMessage,
            'usermailmessage' => $this->userMailMessage,
            'textlength' => $this->textLength
        ));
    }

    public function addJSOptions($jsOptions) {
        $jsOptions['wpdumc_text_posts'] = $this->posts;
        $jsOptions['wpdumc_text_comments'] = $this->comments;
        $jsOptions['wpdumc_is_id_mentioning'] = $this->viewID;
        $jsOptions['wpdumc_displayNicename'] = $this->displayNicename;
        return $jsOptions;
    }

}
