jQuery(document).ready(function ($) {
    var wpdumcCachequery = [], wpdumcItems, wpdumcConnectedForms = [];
    function wpdiscuzUMC(selector) {
        var nicename = wpdiscuzAjaxObj.wpdiscuz_options.wpdumc_displayNicename ? '<span class="us-nik">${atwho-at}${user_id_or_nicename}</span>' : '';
        $(selector).atwho({
            at: "@",
            alias: 'wpdumc',
            displayTpl: '<li class="li-add"><div  style="display:flex;align-items: center;"><span class="us-av">${avatar}</span><span class="us-dn">${display_name}</span> '+ nicename +'</div></li>',
            searchKey: 'search',
            insertTpl: '${atwho-at}${user_id_or_nicename}',
            header_tpl: '<div>barev</div>',
            callbacks: {
                remoteFilter: function (query, render_view) {
                    var thisVal = query,
                            self = $(this);
                    if (!self.data('active') && thisVal.length >= 1) {
                        self.data('active', true);
                        wpdumcItems = wpdumcCachequery[thisVal];
                        if (typeof wpdumcItems === "object") {
                            render_view(wpdumcItems);
                        } else
                        {
                            if (self.xhr) {
                                self.xhr.abort();
                            }
                            self.xhr = $.ajax({
                                type: "post",
                                url: wpdiscuzAjaxObj.url,
                                data: {
                                    action: 'get_all_users',
                                    key_name: thisVal,
                                    post_id: wpdiscuzAjaxObj.wpdiscuz_options.wc_post_id
                                }
                            }).done(function (response) {
                                try {
                                    var usersData = $.parseJSON(response);
                                    var users = $.makeArray(usersData);
                                    users = $.map(users,
                                            function (user) {
                                                user.search = user.search || user.user_nicename + ' ' + user.display_name;
                                                user.user_id_or_nicename = wpdiscuzAjaxObj.wpdiscuz_options.wpdumc_is_id_mentioning ? user.ID || user.user_nicename : user.user_nicename;
                                                return user;
                                            }
                                    );
                                    wpdumcCachequery[thisVal] = users;
                                    render_view(users);
                                } catch (e) {
                                    console.log(e);
                                }
                            });
                        }
                        self.data('active', false);
                    }
                },
                beforeReposition: function (offset) {
                    var caret,
                            line,
                            iframeOffset,
                            move,
                            $view = $('#atwho-ground-' + this.id + ' .atwho-view'),
                            $body = $('body'),
                            atwhoDataValue = this.$inputor.data('atwho');
                    if ('undefined' !== atwhoDataValue && 'undefined' !== atwhoDataValue.iframe && null !== atwhoDataValue.iframe) {
                        caret = this.$inputor.caret('offset', {iframe: atwhoDataValue.iframe});
                        iframeOffset = $(atwhoDataValue.iframe).offset();
                        if ('undefined' !== iframeOffset) {
                            caret.left += iframeOffset.left;
                            caret.top += iframeOffset.top;
                        }
                    } else {
                        caret = this.$inputor.caret('offset');
                    }
                    if (caret.left > ($body.width() / 2)) {
                        $view.addClass('right');
                        move = caret.left - offset.left - this.view.$el.width();
                    } else {
                        $view.removeClass('right');
                        move = caret.left - offset.left + 1;
                    }
                    line = parseInt(this.$inputor.css('line-height').substr(0, this.$inputor.css('line-height').length - 2), 10);
                    if (!line || line < 5) {
                        line = 19;
                    }
                    offset.top = caret.top + line;
                    offset.left += move;
                }
            }
        });
    }
    jQuery.fn.extend({
        insertAtCaret: function (myValue) {
            return this.each(function (i) {
                if (document.selection) {
                    this.focus();
                    var sel = document.selection.createRange();
                    sel.text = myValue;
                    this.focus();
                } else if (this.selectionStart || this.selectionStart == '0') {
                    var startPos = this.selectionStart;
                    var endPos = this.selectionEnd;
                    var scrollTop = this.scrollTop;
                    this.value = this.value.substring(0, startPos) + myValue + this.value.substring(endPos, this.value.length);
                    this.focus();
                    this.selectionStart = startPos + myValue.length;
                    this.selectionEnd = startPos + myValue.length;
                    this.scrollTop = scrollTop;
                } else {
                    this.value += myValue;
                    this.focus();
                }
            });
        }
    });
    function search_user(user_char) {
        $.ajax({
            type: "post",
            url: wpdiscuzAjaxObj.url,
            data: {
                action: 'get_all_users',
                key_name: user_char,
                post_id: wpdiscuzAjaxObj.wpdiscuz_options.wc_post_id
            }
        }).done(function (response) {
            try {
                var users = $.parseJSON(response);
                ucmBuildView(users);
            } catch (e) {
                console.log(e);
            }
        });

    }

    function get_user_in_post() {
        $.ajax({
            type: "post",
            url: wpdiscuzAjaxObj.url,
            data: {
                action: 'get_all_users_post',
                wcm_post_id: wpdiscuzAjaxObj.wpdiscuz_options.wc_post_id
            }
        }).done(function (response) {
            try {
                var users = $.parseJSON(response);
                ucmBuildView(users);
            } catch (e) {
                console.log(e);
            }
        });
    }

    function user_info(id) {
        $.ajax({
            type: "post",
            url: wpdiscuzAjaxObj.url,
            data: {
                action: 'get_user',
                wcm_user_id: id
            }
        }).done(function (response) {
            try {
                var user_info = $.parseJSON(response);
                set_user_info(user_info);
            } catch (e) {
                console.log(e);
            }
        });
    }

    function comment_info(comment_id) {
        $.ajax({
            type: "post",
            url: wpdiscuzAjaxObj.url,
            data: {
                action: 'get_comment_info',
                wcm_comment_id: comment_id
            }
        }).done(function (response) {
            try {
                var comment_info = $.parseJSON(response);
                set_comment_info(comment_info);
            } catch (e) {
                console.log(e);
            }
        });
    }
    function set_comment_info(comment_info) {
        var html = '';
        if (!comment_info.error) {
            var avatar = comment_info.avatar;
            var user_name = comment_info.user_name;
            var comment = comment_info.comment;
            html = "<div class='ucm-info-header'>" + avatar;
            html += " <div class='ucm-user-name'>" + user_name + "</div></div>";
            if (comment) {

                html += "<div class='ucm-discription'><i class=\"fas fa-quote-left\" aria-hidden=\"true\"></i> " + comment + " <i class=\"fas fa-quote-right\" aria-hidden=\"true\"></div>";
            }
        } else {

            html = comment_info.error;
        }
        $('.user-tooltip').html(html);
    }
    function set_user_info(user_info) {
        var html = '';
        if (!user_info.error) {
            var avatar = user_info.avatar;
            var user_name = user_info.user_name;
            var post_count = user_info.post_count;
            var comment_count = user_info.comment_count;
            var description = user_info.description;
            html = "<div class='ucm-info-header'>" + avatar;
            html += "<div class='ucm-right'> <div class='ucm-user-name'>" + user_name + "</div>";
            html += "<div class='ucm-counts-wrap'><div class='ucm-post-count'>" + wpdiscuzAjaxObj.wpdiscuz_options.wpdumc_text_posts + ": " + post_count + "</div>";
            html += "<div class='ucm-comment-count'>" + wpdiscuzAjaxObj.wpdiscuz_options.wpdumc_text_comments + ": " + comment_count + "</div> </div> </div></div>";
            if (description) {
                html += "<div class='ucm-discription'><i class=\"fas fa-quote-left\" aria-hidden=\"true\"></i> " + description + "<i class=\"fas fa-quote-right\" aria-hidden=\"true\"></div>";
            }
        } else {
            html = user_info.error;
        }
        $('.user-tooltip').html(html);
    }
    function set_tooltip() {
        var tooltip = "<div class='user-tooltip'><i class='fa fa-spinner fa-spin' style='font-size:24px;color:#888'></i></div>";
        var tooltip_exist = $('body').children('.user-tooltip').hasClass('user-tooltip');
        if (!tooltip_exist) {
            $('body').append(tooltip);
        }
    }
    function ucmBuildView(users) {
        var viewuserid, avatar,displayNicename, user_list = '';
        displayNicename = !wpdiscuzAjaxObj.wpdiscuz_options.wpdumc_displayNicename ? " style='display:none;' " : '';
        if (users.length !== 0) {
            $.each(users, function (i, user) {
                avatar = user.avatar ? user.avatar : '';
                viewuserid = wpdiscuzAjaxObj.wpdiscuz_options.wpdumc_is_id_mentioning ? user.ID || user.user_nicename : user.user_nicename;
                user_list += "<li class='li-add'><div style='display:flex;align-items: center;'><span class='us-av'>" + avatar + "</span><span class='us-dn'>" +
                        user.display_name + "</span><span class='us-nik' "+ displayNicename +">@" + viewuserid + "</span></div></li>";
            });
            $("#wpcomm .u_list").html(user_list);
        } 
    }

    $(function () {
        var u_id;
        var comment_id;
        $(document).delegate('.hint', 'mouseover', function () {
            if (u_id !== $(this).data('ucm_user_id')) {
                u_id = $(this).data('ucm_user_id');
            }
            if (u_id !== '') {
                user_info(u_id);
            }
        });
        $(document).delegate('.ucm-comment-id', 'mouseover', function () {
            if (comment_id !== $(this).text()) {
                comment_id = $(this).text();
            }
            if (comment_id !== '') {
                comment_info(comment_id);
            }
        });
        $(document).delegate('.ucm-comment-id', 'mousemove', function (event) {
            var windowWidth = window.innerWidth;
            var windowHeight = window.innerHeight;
            var left = event.pageX + 20;
            var top = event.pageY + 20;
            if (windowWidth < 400) {
                left = (windowWidth - 200) / 2;
            } else if (windowWidth - event.pageX < 200) {
                left = event.pageX - 200;
            }
            if (windowHeight - (event.pageY - $(window).scrollTop()) < 200) {
                top = event.pageY - 90;
            }
            $('.user-tooltip').css({top: top, left: left}).show();
        });
        $(document).delegate('.ucm-comment-id', 'mouseover', function () {
            set_tooltip();
        });
        $(document).delegate('.ucm-comment-id', 'mouseout', function () {
            $('.user-tooltip').remove();
        });
        $(document).delegate('.hint', 'mousemove', function (event) {
            var windowWidth = window.innerWidth;
            var windowHeight = window.innerHeight;
            var left = event.pageX + 20;
            var top = event.pageY + 20;
            if (windowWidth < 400) {
                left = (windowWidth - 200) / 2;
            } else if (windowWidth - event.pageX < 200) {
                left = event.pageX - 200;
            }
            if (windowHeight - (event.pageY - $(window).scrollTop()) < 200) {
                top = event.pageY - 90;
            }
            $('.user-tooltip').css({top: top, left: left}).show();
        });
        $(document).delegate('.hint', 'mouseout', function () {
            $('.user-tooltip').remove();
        });
        $(document).delegate('.hint', 'mouseover', function () {
            set_tooltip();
        });
        $(document).delegate("[name='search-nik']", "keyup", function () {
            var search_val = $.trim($(this).val());
            if (search_val === "") {
                get_user_in_post();
            } else {
                search_user(search_val);
            }
        });
        $('body').click(function () {
            if ($('.wpdc_user_list').is(":visible")) {
                $('.wpdc_user_list').hide();
            }
        });
        $(document).delegate('.wpdc_user_list', 'click', function () {
            $(this).show();
        });
        $(document).delegate(".wpdc_at", "click", function () {
            $("[name='search-nik']").val('');
            $(this).parent('.wpdiscuz-textarea-foot').find('.wpdiscuz-button-actions .wpdc_user_list').toggle();
            get_user_in_post();
        });
    });
    $(document).delegate('.ucm-comment-id', 'click', function () {
        var mId = $(this).text().replace("#", '');
        var id_repl_exists = $("body").find('#comment-' + mId).length;
        if (id_repl_exists === 0) {
            window.location.reload(true);
        }
    });
    $(document).delegate('.li-add', 'click', function () {
        var user_nik = " " + $('.us-nik', this).text() + " ";
        var parent = $(this).closest('.wpdiscuz-textarea-wrap').children('.wc_comment');
        parent.insertAtCaret(user_nik);
    });
    $(document).delegate("#wpcomm textarea.wc_comment", "focus", function () {
        var textAreaID = $(this).attr('id');
        if (!$('#atwho-ground-' + textAreaID).length > 0) {
            wpdiscuzUMC($(this));
        }
    });
});