<?php
if (isset($_GET['wpdiscuz_ucm_reset']) && $_GET['wpdiscuz_ucm_reset'] == 1 && current_user_can('manage_options')) {
    delete_option('wpdiscuz_ucm');
    $this->addOptions();
    $this->initOptions();
}
?>
<div>
    <div class="ucm-inner">
        <h3 style="padding:5px 10px 15px 10px; margin:0px; text-align:right; border-bottom:1px solid #ddd; margin:0px 0px 20px auto; font-weight:normal;"><?php _e('User and Comment Mentioning', 'wpdiscuz_ucm'); ?></h3>
        <table>
            <tr valign="top">
                <th scope="row" style="width:55%;">
                    <label for="ucm_at">
                        <?php _e('Display <span class="wpdiscuz-button wpdc_at"></span> button on comment form:', 'wpdiscuz_ucm'); ?>
                    </label>
                </th>
                <td>
                    <input type="checkbox" name="ucm_at" <?php checked($this->viewAt == 1); ?> value="1" id="ucm_at"/>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row" style="width:55%;">
                    <label for="enableCommentMentioning">
                        <?php _e('Enable mentioning by comment ID:', 'wpdiscuz_ucm'); ?>
                    </label>
                </th>
                <td>
                    <input type="checkbox" name="enableCommentMentioning" <?php checked($this->enableCommentMentioning == 1); ?> value="1" id="enableCommentMentioning"/>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row" style="width:55%;">
                    <label for="guestMentioning">
                        <?php _e('Enable guest mentioning:', 'wpdiscuz_ucm'); ?>
                    </label>
                </th>
                <td>
                    <input type="checkbox" name="guestMentioning" <?php checked($this->guestMentioning == 1); ?> value="1" id="guestMentioning"/>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row" style="width:55%;">
                    <label for="displayNicename">
                        <?php _e('Display user nicename (names for mentioning) in user search result:', 'wpdiscuz_ucm'); ?>
                    </label>
                </th>
                <td>
                    <input type="checkbox" name="displayNicename" <?php checked($this->displayNicename == 1); ?> value="1" id="displayNicename"/>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row" style="width:55%;">
                    <label for="ucm_view_avatar_in_comment">
                        <?php _e('Display mentioned  user avatar with username link:', 'wpdiscuz_ucm'); ?>
                    </label>
                </th>
                <td>
                    <input type="checkbox" name="ucm_view_avatar_in_comment" <?php checked($this->viewAvatarInComment == 1); ?> value="1" id="ucm_view_avatar_in_comment"/>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row" style="width:55%;">
                    <label for="ucm_view_avatar_tooltip">
                        <?php _e('Display avatar in user pop-up information:', 'wpdiscuz_ucm'); ?>
                    </label>
                </th>
                <td>
                    <input type="checkbox" name="ucm_view_avatar_tooltip" <?php checked($this->viewAvatarInTooltip == 1); ?> value="1" id="ucm_view_avatar_tooltip"/>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row" style="width:55%;">
                    <label for="ucm_viewid">
                        <?php _e('Mentione user by user ID in comment content', 'wpdiscuz_ucm'); ?>
                    </label>
                </th>
                <td>
                    <input type="checkbox" name="ucm_viewid" <?php checked($this->viewID == 1); ?> value="1" id="ucm_viewid"/>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <label for="ucm_text_length">
                        <?php _e('Text length in user/comment pop-up information:', 'wpdiscuz_ucm'); ?>
                    </label>
                </th>
                <td>
                    <input type="number"  name="ucm_text_length" min='0' value="<?php echo ($this->textLength) ? ($this->textLength) : 150; ?>" id="ucm_text_length"/>  <span style="display:inline-block; vertical-align:bottom; font-size:14px; padding:5px;"><?php _e('characters', 'wpdiscuz_ucm'); ?></span>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <label for="ucm_user_count">
                        <?php _e('Maximum number of users in "User Selector" bar:', 'wpdiscuz_ucm'); ?>
                    </label>
                </th>
                <td>
                    <input type="number" name="ucm_user_count" min='1' value="<?php echo ($this->userListCount) ? ($this->userListCount) : 8; ?>" id="ucm_user_count"/>  <span style="display:inline-block; vertical-align:bottom; font-size:14px; padding:5px;"><?php _e('items', 'wpdiscuz_ucm'); ?></span>
                </td>
            </tr>
            <?php if ($this->enableCommentMentioning): ?>
                <tr valign="top">
                    <th scope="row" colspan="2" style="border-top:3px solid #ddd;">
                        <h3 style="padding-bottom:5px; padding-top:20px; font-weight:normal; margin:0px; text-align:right;"> <?php _e('Comment mentioning through #comment-id', 'wpdiscuz_ucm'); ?></h3>
                        <strong><?php _e('Message to mentioned comment author', 'wpdiscuz_ucm'); ?></strong>
                    </th>
                </tr>
                <tr valign="top">
                    <th scope="row" style="width:55%;">
                        <label for="ucm_send_admin">
                            <?php _e('Enable Email Notification', 'wpdiscuz_ucm'); ?>
                        </label>
                    </th>
                    <td>
                        <input type="checkbox" name="ucm_send_admin" <?php checked($this->adminEmail == 1); ?> value="1" id="ucm_send_admin"/>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <label for="author_mail_subject">
                            <?php _e('Email Subject', 'wpdiscuz_ucm'); ?>
                        </label>
                    </th>
                    <td>
                        <input type="text" name="author_mail_subject" class="text-inner"  value="<?php echo $this->authorMailSubject; ?>" id="author_mail_subject"/>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <label for="author_mail_message">
                            <?php _e('Email Body', 'wpdiscuz_ucm'); ?>
                        </label>
                        <p class="wpd-info">
                            <i> [mentionedUserName] - <?php _e('Mentioned comment author name', 'wpdiscuz_ucm'); ?></i><br/>
                            <i> [postTitle] - <?php _e('Post Title', 'wpdiscuz_ucm'); ?></i><br/>
                            <i> [authorUserName] - <?php _e('Comment author name', 'wpdiscuz_ucm'); ?></i><br/>
                            <i> [commentURL] - <?php _e('Comment URL', 'wpdiscuz_ucm'); ?></i>
                        </p>
                    </th>
                    <td>
                        <textarea name="author_mail_message" id="author_mail_message" cols="50" rows="6"><?php echo $this->authorMailMessage; ?></textarea>
                    </td>
                </tr>
            <?php endif; ?>
            <tr valign="top">
                <th scope="row" colspan="2" style="border-top:3px solid #ddd;">
                    <h3 style="padding-bottom:5px; padding-top:20px; font-weight:normal; margin:0px; text-align:right;"> <?php _e('User mentioning through @username', 'wpdiscuz_ucm'); ?></h3>
                    <strong><?php _e('Message to mentioned user', 'wpdiscuz_ucm'); ?></strong>
                </th>
            </tr>
            <tr valign="top">
                <th scope="row" style="width:55%;">
                    <label for="ucm_send_user">
                        <?php _e('Enable Email Notification', 'wpdiscuz_ucm'); ?>
                    </label>
                </th>
                <td>
                    <input type="checkbox" name="ucm_send_user" <?php checked($this->userEmail == 1); ?> value="1" id="ucm_send_user"/>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <label for="user_mail_subject"><?php _e('Email Subject', 'wpdiscuz_ucm'); ?></label>
                </th>
                <td>
                    <input type="text" name="user_mail_subject"  value="<?php echo $this->userMailSubject; ?>" id="user_mail_subject"/>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <label for="user_mail_message">
                        <?php _e('Email Body', 'wpdiscuz_ucm'); ?>
                    </label>
                    <p class="wpd-info">
                        <i> [mentionedUserName] - <?php _e('Mentioned user name', 'wpdiscuz_ucm'); ?></i><br/>
                        <i> [postTitle] - <?php _e('Post Title', 'wpdiscuz_ucm'); ?></i><br/>
                        <i> [authorUserName] - <?php _e('Comment author name', 'wpdiscuz_ucm'); ?></i><br/>
                        <i> [commentURL] - <?php _e('Comment URL', 'wpdiscuz_ucm'); ?></i>
                    </p>
                </th>
                <td>
                    <textarea name="user_mail_message" id="wpdiscuz_reported_email_message" cols="50" rows="6"><?php echo $this->userMailMessage; ?></textarea>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row" colspan="2" style="border-top:3px solid #ddd;">
                    <h3 style="padding-bottom:5px; padding-top:20px; font-weight:normal; margin:0px;"> <?php _e('Front-end Phrases', 'wpdiscuz_ucm'); ?></h3>
                </th>
            </tr>

            <tr valign="top">
                <th scope="row">
                    <label for="ucm_search">
                        <?php _e('Search:', 'ucm_search'); ?>
                    </label>
                </th>
                <td >

                    <input type="text" name="ucm_search"
                           value="<?php echo $this->search; ?>" id="ucm_search"/>
                </td>

            </tr>


            <tr valign="top">
                <th scope="row">
                    <label for="ucm_posts">
                        <?php _e('Posts:', 'ucm_posts'); ?>
                    </label>
                </th>
                <td >

                    <input type="text" name="ucm_posts"
                           value="<?php echo $this->posts; ?>" id="ucm_posts"/>
                </td>

            </tr>


            <tr valign="top">
                <th scope="row">
                    <label for="ucm_comments">
                        <?php _e('Comments:', 'ucm_comments'); ?>
                    </label>
                </th>
                <td >

                    <input type="text" name="ucm_comments"
                           value="<?php echo $this->comments; ?>" id="ucm_comments"/>
                </td>

            </tr>
            <tr valign="top">
                <th scope="row">
                    <a class="button button-secondary"
                       href="<?php echo admin_url(); ?>edit-comments.php?page=wpdiscuz_options_page&wpdiscuz_ucm_reset=1"><?php _e('Reset Options', 'wpdiscuz_ucm'); ?></a>
                </th>
            </tr>
        </table>

    </div>
</div>

